function varargout = MMFit_BULK(varargin)
% MMFIT_BULK MATLAB code for MMFit_BULK.fig
%      MMFIT_BULK, by itself, creates a new MMFIT_BULK or raises the existing
%      singleton*.
%
%      H = MMFIT_BULK returns the handle to a new MMFIT_BULK or the handle to
%      the existing singleton*.
%
%      MMFIT_BULK('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MMFIT_BULK.M with the given input arguments.
%
%      MMFIT_BULK('Property','Value',...) creates a new MMFIT_BULK or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before MMFit_BULK_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to MMFit_BULK_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help MMFit_BULK

% Last Modified by GUIDE v2.5 19-Aug-2014 12:59:26

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @MMFit_BULK_OpeningFcn, ...
                   'gui_OutputFcn',  @MMFit_BULK_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
   
end
% End initialization code - DO NOT EDIT


% --- Executes just before MMFit_BULK is made visible.
function MMFit_BULK_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to MMFit_BULK (see VARARGIN)
% set strings name


global Par Hand LoadDataCounter

LoadDataCounter = 0; % for adjusting omegaArray when multiple
                     % sets of data are downloaded
% number of ocillators
N = 36;
%Axes counter initialization for display function
Par.AxesCounter = 1; %1-<Eps> 2-Psi/Delta, 3-R 4-T 5-MM 6-ModelEps 7-ModelMu 8-ModelAlpha


%Data Parameters initialization
Par.OmegaArray = (str2double(get(handles.freqRangeL,'String')):1:str2double(get(handles.freqRangeU,'String')))';
Par.AOI = str2double(get(handles.editAOI,'String'))/180*pi;
%--------------------------------------------------------------------------
Par.PsiDataOmega = Par.OmegaArray;
Par.PsiDataIntensity = zeros(length(Par.OmegaArray),1);
Par.DeltaDataOmega = Par.OmegaArray;
Par.DeltaDataIntensity = zeros(length(Par.OmegaArray),1);
Par.Eps1DataOmega = Par.OmegaArray;
Par.Eps1DataIntensity = zeros(length(Par.OmegaArray),1);
Par.Eps2DataOmega = Par.OmegaArray;
Par.Eps2DataIntensity = zeros(length(Par.OmegaArray),1);
Par.RppDataOmega = Par.OmegaArray;
Par.RppDataIntensity = zeros(length(Par.OmegaArray),1);
Par.RpsDataOmega = Par.OmegaArray;
Par.RpsDataIntensity = zeros(length(Par.OmegaArray),1);
Par.RspDataOmega = Par.OmegaArray;
Par.RspDataIntensity = zeros(length(Par.OmegaArray),1);
Par.RssDataOmega = Par.OmegaArray;
Par.RssDataIntensity = zeros(length(Par.OmegaArray),1);
Par.TppDataOmega = Par.OmegaArray;
Par.TppDataIntensity = zeros(length(Par.OmegaArray),1);
Par.TpsDataOmega = Par.OmegaArray;
Par.TpsDataIntensity = zeros(length(Par.OmegaArray),1);
Par.TspDataOmega = Par.OmegaArray;
Par.TspDataIntensity = zeros(length(Par.OmegaArray),1);
Par.TssDataOmega = Par.OmegaArray;
Par.TssDataIntensity = zeros(length(Par.OmegaArray),1);
Par.MMDataOmega = Par.OmegaArray;
Par.MMDataIntensity = zeros(length(Par.OmegaArray),16);
%--------------------------------------------------------------------------
Par.Omega = zeros(N,1);
Par.Gamma = zeros(N,1);
Par.Epsxx = zeros(N,1);
Par.Epsyy = zeros(N,1);
Par.Epszz = zeros(N,1);
Par.Muxx = zeros(N,1);
Par.Muyy = zeros(N,1);
Par.Muzz = zeros(N,1);
Par.Alp = zeros(N,1);

Par.EpsxxInf = 10;
Par.EpsyyInf = 10;
Par.EpszzInf = 10;

Par.MuxxInf = 1;
Par.MuyyInf = 1;
Par.MuzzInf = 1;

Par.OmegaL = zeros(N,1);
Par.GammaL = zeros(N,1);
Par.EpsxxL = zeros(N,1);
Par.EpsyyL = zeros(N,1);
Par.EpszzL = zeros(N,1);
Par.MuxxL = zeros(N,1);
Par.MuyyL = zeros(N,1);
Par.MuzzL = zeros(N,1);
Par.AlpL = zeros(N,1);

Par.EpsxxInfL = 7.5;
Par.EpsyyInfL = 7.5;
Par.EpszzInfL = 7.5;

Par.MuxxInfL = 0.75;
Par.MuyyInfL = 0.75;
Par.MuzzInfL = 0.75;

Par.OmegaU = zeros(N,1);
Par.GammaU = zeros(N,1);
Par.EpsxxU = zeros(N,1);
Par.EpsyyU = zeros(N,1);
Par.EpszzU = zeros(N,1);
Par.MuxxU = zeros(N,1);
Par.MuyyU = zeros(N,1);
Par.MuzzU = zeros(N,1);
Par.AlpU = zeros(N,1);

Par.EpsxxInfU = 12.5;
Par.EpsyyInfU = 12.5;
Par.EpszzInfU = 12.5;

Par.MuxxInfU = 1.25;
Par.MuyyInfU = 1.25;
Par.MuzzInfU = 1.25;

Par.OmegaF = false(N,1);
Par.GammaF = false(N,1);
Par.EpsxxF = false(N,1);
Par.EpsyyF = false(N,1);
Par.EpszzF = false(N,1);
Par.MuxxF = false(N,1);
Par.MuyyF = false(N,1);
Par.MuzzF = false(N,1);
Par.AlpF = false(N,1);

Par.EpsxxInfF = false;
Par.EpsyyInfF = false;
Par.EpszzInfF = false;

Par.MuxxInfF = false;
Par.MuyyInfF = false;
Par.MuzzInfF = false;

Par.MAX = 1000;
Par.MIN = 0.01;

%Handles Initialization ===================================================
Hand.editExchangeL = handles.ExchangeL;
Hand.editExchangeR = handles.ExchangeR;
Hand.ExchangeBtn = handles.ExchangeBtn;


Hand.listboxOsc = handles.listboxOsc;

Hand.LURange = handles.LURange;

Hand.sliderO = handles.sliderO;
Hand.sliderG = handles.sliderG;
Hand.sliderS = handles.sliderS;

Hand.editAOICh =  handles.editAOICh;
Hand.editAOI =  handles.editAOI;

Hand.editEpsxxCh = handles.editEpsxxCh;
Hand.editEpsyyCh = handles.editEpsyyCh;
Hand.editEpszzCh = handles.editEpszzCh;
Hand.editMuxxCh = handles.editMuxxCh;
Hand.editMuyyCh = handles.editMuyyCh;
Hand.editMuzzCh = handles.editMuzzCh;
Hand.editAlpCh = handles.editAlpCh;

Hand.editEpsInfxxCh = handles.editEpsInfxxCh;
Hand.editEpsInfyyCh = handles.editEpsInfyyCh;
Hand.editEpsInfzzCh = handles.editEpsInfzzCh;

Hand.editMuInfxxCh = handles.editMuInfxxCh;
Hand.editMuInfyyCh = handles.editMuInfyyCh;
Hand.editMuInfzzCh = handles.editMuInfzzCh;

Hand.editOmega = handles.editOmega;
Hand.editGamma = handles.editGamma;
Hand.editEpsxx = handles.editEpsxx;
Hand.editEpsyy = handles.editEpsyy;
Hand.editEpszz = handles.editEpszz;
Hand.editMuxx = handles.editMuxx;
Hand.editMuyy = handles.editMuyy;
Hand.editMuzz = handles.editMuzz;
Hand.editAlp = handles.editAlp;

Hand.editEpsInfxx = handles.editEpsInfxx;
Hand.editEpsInfyy = handles.editEpsInfyy;
Hand.editEpsInfzz = handles.editEpsInfzz;

Hand.editMuInfxx = handles.editMuInfxx;
Hand.editMuInfyy = handles.editMuInfyy;
Hand.editMuInfzz = handles.editMuInfzz;

Hand.editOmegaL = handles.editOmegaL;
Hand.editGammaL = handles.editGammaL;
Hand.editEpsxxL = handles.editEpsxxL;
Hand.editEpsyyL = handles.editEpsyyL;
Hand.editEpszzL = handles.editEpszzL;
Hand.editMuxxL = handles.editMuxxL;
Hand.editMuyyL = handles.editMuyyL;
Hand.editMuzzL = handles.editMuzzL;
Hand.editAlpL = handles.editAlpL;

Hand.editEpsInfxxL = handles.editEpsInfxxL;
Hand.editEpsInfyyL = handles.editEpsInfyyL;
Hand.editEpsInfzzL = handles.editEpsInfzzL;

Hand.editMuInfxxL = handles.editMuInfxxL;
Hand.editMuInfyyL = handles.editMuInfyyL;
Hand.editMuInfzzL = handles.editMuInfzzL;

Hand.editOmegaU = handles.editOmegaU;
Hand.editGammaU = handles.editGammaU;
Hand.editEpsxxU = handles.editEpsxxU;
Hand.editEpsyyU = handles.editEpsyyU;
Hand.editEpszzU = handles.editEpszzU;
Hand.editMuxxU = handles.editMuxxU;
Hand.editMuyyU = handles.editMuyyU;
Hand.editMuzzU = handles.editMuzzU;
Hand.editAlpU = handles.editAlpU;

Hand.editEpsInfxxU = handles.editEpsInfxxU;
Hand.editEpsInfyyU = handles.editEpsInfyyU;
Hand.editEpsInfzzU = handles.editEpsInfzzU;

Hand.editMuInfxxU = handles.editMuInfxxU;
Hand.editMuInfyyU = handles.editMuInfyyU;
Hand.editMuInfzzU = handles.editMuInfzzU;

Hand.editOmegaF = handles.editOmegaF;
Hand.editGammaF = handles.editGammaF;
Hand.editEpsxxF = handles.editEpsxxF;
Hand.editEpsyyF = handles.editEpsyyF;
Hand.editEpszzF = handles.editEpszzF;
Hand.editMuxxF = handles.editMuxxF;
Hand.editMuyyF = handles.editMuyyF;
Hand.editMuzzF = handles.editMuzzF;
Hand.editAlpF = handles.editAlpF;

Hand.editEpsInfxxF = handles.editEpsInfxxF;
Hand.editEpsInfyyF = handles.editEpsInfyyF;
Hand.editEpsInfzzF = handles.editEpsInfzzF;

Hand.editMuInfxxF = handles.editMuInfxxF;
Hand.editMuInfyyF = handles.editMuInfyyF;
Hand.editMuInfzzF = handles.editMuInfzzF;

Hand.editReduceDataL = handles.reduceDataL;
Hand.editReduceDataU = handles.reduceDataU;
Hand.editFreqRangeL = handles.freqRangeL;
Hand.editFreqRangeU = handles.freqRangeU;

Hand.editNumIter = handles.NumIter;

Hand.editFitL = handles.editFitL;
Hand.editFitU = handles.editFitU;

Hand.editReEpsCh = handles.ReEpsCh;
Hand.editImEpsCh = handles.ImEpsCh;
Hand.editPsiCh = handles.PsiCh;
Hand.editDeltaCh = handles.DeltaCh;
Hand.editRppCh = handles.RppCh;
Hand.editRpsCh = handles.RpsCh;
Hand.editRspCh = handles.RspCh;
Hand.editRssCh = handles.RssCh;
Hand.editTppCh = handles.TppCh;
Hand.editTpsCh = handles.TpsCh;
Hand.editTspCh = handles.TspCh;
Hand.editTssCh = handles.TssCh;
Hand.editM11Ch = handles.M11Ch; Hand.editM12Ch = handles.M12Ch; Hand.editM13Ch = handles.M13Ch; Hand.editM14Ch = handles.M14Ch;
Hand.editM21Ch = handles.M21Ch; Hand.editM22Ch = handles.M22Ch; Hand.editM23Ch = handles.M23Ch; Hand.editM24Ch = handles.M24Ch;
Hand.editM31Ch = handles.M31Ch; Hand.editM32Ch = handles.M32Ch; Hand.editM33Ch = handles.M33Ch; Hand.editM34Ch = handles.M34Ch;
Hand.editM41Ch = handles.M41Ch; Hand.editM42Ch = handles.M42Ch; Hand.editM43Ch = handles.M43Ch; Hand.editM44Ch = handles.M44Ch;

global panelStruct;
%Drawing View Panels
 panelStruct.hPanelViewEps = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2);
 panelStruct.hPanelViewPD = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2,'Visible','off');
 panelStruct.hPanelViewR = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2,'Visible','off');
 panelStruct.hPanelViewMM = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2,'Visible','off');
 panelStruct.hPanelViewT = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2,'Visible','off');
 panelStruct.hPanelViewModelEps = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2,'Visible','off');
 panelStruct.hPanelViewModelMu = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2,'Visible','off');
 panelStruct.hPanelViewModelAlp = uipanel('Parent',hObject,'Position',[0.009038619556285949,0.07384615384615384,0.6894001643385373,0.8846153846153846],'BorderType','beveledout','BorderWidth',2,'Visible','off');
 
  %Drawing Control Panels
 panelStruct.hPanelModelCalc = handles.PanelModelCalc;
 
 %panelStruct.hPanelSymmetry = handles.SymmetryPanel; %panelStruct.hPanelSymmetry = handles.SymmetryPanel; 
 panelStruct.hPanelSymmetry = uipanel('Parent',hObject,'Position',[0.7198027937551356,0.07384615384615384,0.2744453574363188,0.8861538461538462],'Visible','off','BorderType','beveledout','BorderWidth',2);
 
 s1 = imread('sym1.png');
 s2 = imread('sym2.png');
 s3 = imread('sym3.png');
 s4 = imread('sym4.png');
 s5 = imread('sym5.png');
 s6 = imread('sym6.png');



 subplot(3,2,1,'Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Position',[0.075 0.7 0.4 0.4]);
 image(s1);
 axis off
 axis image

 subplot(3,2,2,'Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Position',[0.575 0.7 0.4 0.4]);
 image(s4);
 axis off
 axis image
 
 subplot(3,2,3,'Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Position',[0.075 0.45 0.4 0.4]);
 image(s2);
 axis off
 axis image

 subplot(3,2,4,'Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Position',[0.575 0.45 0.4 0.4]);
 image(s5);
 axis off
 axis image
 
 subplot(3,2,5,'Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Position',[0.075 0.2 0.4 0.4]);
 image(s3);
 axis off
 axis image

 subplot(3,2,6,'Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Position',[0.575 0.2 0.4 0.4]);
 image(s6);
 axis off
 axis image
 

 
 
 Hand.s1rb = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','radiobutton','Position',[0.015 0.825 0.05 0.05],'Callback','setChs1rb');
 Hand.s2rb = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','radiobutton','Position',[0.515 0.825 0.05 0.05],'Callback','setChs1rb');
 Hand.s3rb = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','radiobutton','Position',[0.015 0.575 0.05 0.05],'Callback','setChs1rb');
 Hand.s4rb = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','radiobutton','Position',[0.515 0.575 0.05 0.05],'Callback','setChs1rb');
 Hand.s5rb = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','radiobutton','Position',[0.015 0.325 0.05 0.05],'Callback','setChs1rb');
 Hand.s6rb = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','radiobutton','Position',[0.515 0.325 0.05 0.05],'Callback','setChs1rb');
 Hand.s1ch = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','checkbox','Position',[0.05 0.03 0.15 0.05],'String','Rho','Callback','setChs1ch');
 Hand.s2ch = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','checkbox','Position',[0.2 0.05 0.15 0.05],'String','Alp','Callback','setChs1ch');
 Hand.s3ch = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','checkbox','Position',[0.35 0.05 0.15 0.05],'String','Eps','Callback','setChs1ch');
 Hand.s6ch = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','checkbox','Position',[0.35 0.01 0.15 0.05],'String','iEps','Callback','setChs1ch');
 Hand.s4ch = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','checkbox','Position',[0.5 0.025 0.25 0.05],'String','(Rho)'' = (0)');
 Hand.s5ch = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','checkbox','Position',[0.2 0.01 0.15 0.05],'String','iKsi','Callback','setChs1ch');
 Hand.s7ch = uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','checkbox','Position',[0.75 0.025 0.2 0.05],'String','-Rho/Eps');
 uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','text','Position',[0.05 0.24 0.9 0.05],'FontAngle','oblique','String','Rho - complex value ME tensor');
 uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','text','Position',[0.05 0.21 0.9 0.05],'FontAngle','oblique','String','Alp - real value ME tensor');
 uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','text','Position',[0.05 0.18 0.9 0.05],'FontAngle','oblique','String','Ksi - imaginary value ME tensor');
 uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','text','Position',[0.05 0.15 0.9 0.05],'FontAngle','oblique','String','Eps - real value off diagonal permittivity tensor');
 uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','text','Position',[0.05 0.12 0.9 0.05],'FontAngle','oblique','String','iEps - imaginary value off diagonal permittivity tensor');
 uicontrol('Parent',panelStruct.hPanelSymmetry,'Units','Normalized','Style','text','Position',[0.02 0.09 0.95 0.05],'FontAngle','oblique','String','(Rho)'' = (0) - transpose ME  equals 0     -Rho/Eps - negative ME ');

 panelStruct.hPanelControlFit = handles.PanelFit;
 %panelStruct.hPanelControlFit = uipanel('Parent',hObject,'Position',[0.7198027937551356,0.07384615384615384,0.2744453574363188,0.8861538461538462],'Visible','off','BorderType','beveledout','BorderWidth',2);
 %panelStruct.hPanelControlModelCalc = uipanel('Parent',hObject,'Position',[0.7198027937551356,0.07384615384615384,0.2744453574363188,0.8861538461538462],'Visible','off','BorderType','beveledout','BorderWidth',2);
 panelStruct.hPanelControlLoadSave = uipanel('Parent',hObject,'Position',[0.7198027937551356,0.07384615384615384,0.2744453574363188,0.8861538461538462],'Visible','off','BorderType','beveledout','BorderWidth',2);
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load *.mmd Data', 'Style','pushbutton','Position',[0.1 0.85 0.35 0.07],'Callback','LoadmmdData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load *.epd Data', 'Style','pushbutton','Position',[0.6 0.85 0.35 0.07],'Callback','LoadepdData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load <Eps1> Data', 'Style','pushbutton','Position',[0.1 0.75 0.35 0.07],'Callback','Loadeps1Data');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load <Eps2> Data', 'Style','pushbutton','Position',[0.6 0.75 0.35 0.07],'Callback','Loadeps2Data');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Psi Data', 'Style','pushbutton','Position',[0.1 0.65 0.35 0.07],'Callback','LoadpsiData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Delta Data', 'Style','pushbutton','Position',[0.6 0.65 0.35 0.07],'Callback','LoaddeltaData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Rpp Data', 'Style','pushbutton','Position',[0.1 0.55 0.35 0.07],'Callback','LoadrppData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Rps Data', 'Style','pushbutton','Position',[0.6 0.55 0.35 0.07],'Callback','LoadrpsData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Rsp Data', 'Style','pushbutton','Position',[0.1 0.45 0.35 0.07],'Callback','LoadrspData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Rss Data', 'Style','pushbutton','Position',[0.6 0.45 0.35 0.07],'Callback','LoadrssData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Tpp Data', 'Style','pushbutton','Position',[0.1 0.35 0.35 0.07],'Callback','LoadtppData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Tps Data', 'Style','pushbutton','Position',[0.6 0.35 0.35 0.07],'Callback','LoadtpsData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Tsp Data', 'Style','pushbutton','Position',[0.1 0.25 0.35 0.07],'Callback','LoadtspData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Tss Data', 'Style','pushbutton','Position',[0.6 0.25 0.35 0.07],'Callback','LoadtssData');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Load Project', 'Style','pushbutton','Position',[0.35 0.15 0.35 0.07],'Callback','LoadProject');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Save Project', 'Style','pushbutton','Position',[0.1 0.05 0.35 0.07],'Callback','SaveProject');
 uicontrol('Parent',panelStruct.hPanelControlLoadSave,'Units','Normalized','String','Save Fit/Data', 'Style','pushbutton','Position',[0.6 0.05 0.35 0.07],'Callback','SaveFitData');
 
 %Drawing Axes
panelStruct.hAxisEps1 = axes('Parent',panelStruct.hPanelViewEps ,'Unit','Normalized','Position',[0.025,0.03,0.96,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisEps2 = axes('Parent',panelStruct.hPanelViewEps ,'Unit','Normalized','Position',[0.025,0.53,0.96,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');

panelStruct.hAxisPD1 = axes('Parent',panelStruct.hPanelViewPD ,'Unit','Normalized','Position',[0.025,0.03,0.96,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisPD2 = axes('Parent',panelStruct.hPanelViewPD ,'Unit','Normalized','Position',[0.025,0.53,0.96,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');

panelStruct.hAxisRpp = axes('Parent',panelStruct.hPanelViewR ,'Unit','Normalized','Position',[0.025,0.53,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisRps = axes('Parent',panelStruct.hPanelViewR ,'Unit','Normalized','Position',[0.53,0.53,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisRsp = axes('Parent',panelStruct.hPanelViewR ,'Unit','Normalized','Position',[0.025,0.03,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisRss = axes('Parent',panelStruct.hPanelViewR ,'Unit','Normalized','Position',[0.53,0.03,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');

panelStruct.hAxisTpp = axes('Parent',panelStruct.hPanelViewT ,'Unit','Normalized','Position',[0.025,0.53,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisTps = axes('Parent',panelStruct.hPanelViewT ,'Unit','Normalized','Position',[0.53,0.53,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisTsp = axes('Parent',panelStruct.hPanelViewT ,'Unit','Normalized','Position',[0.025,0.03,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisTss = axes('Parent',panelStruct.hPanelViewT ,'Unit','Normalized','Position',[0.53,0.03,0.46,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');

panelStruct.hAxisM11 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.025,0.78,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM12 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.275,0.78,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM13 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.525,0.78,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM14 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.775,0.78,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');

panelStruct.hAxisM21 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.025,0.53,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM22 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.275,0.53,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM23 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.525,0.53,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM24 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.775,0.53,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');

panelStruct.hAxisM31 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.025,0.28,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM32 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.275,0.28,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM33 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.525,0.28,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM34 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.775,0.28,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');

panelStruct.hAxisM41 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.025,0.03,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM42 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.275,0.03,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM43 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.525,0.03,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisM44 = axes('Parent',panelStruct.hPanelViewMM ,'Unit','Normalized','Position',[0.775,0.03,0.22,0.21],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');  
    
panelStruct.hAxisMEps1xx = axes('Parent',panelStruct.hPanelViewModelEps ,'Unit','Normalized','Position',[0.025,0.03,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMEps2xx = axes('Parent',panelStruct.hPanelViewModelEps ,'Unit','Normalized','Position',[0.025,0.53,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMEps1yy = axes('Parent',panelStruct.hPanelViewModelEps ,'Unit','Normalized','Position',[0.36,0.03,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMEps2yy = axes('Parent',panelStruct.hPanelViewModelEps ,'Unit','Normalized','Position',[0.36,0.53,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMEps1zz = axes('Parent',panelStruct.hPanelViewModelEps ,'Unit','Normalized','Position',[0.695,0.03,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMEps2zz = axes('Parent',panelStruct.hPanelViewModelEps ,'Unit','Normalized','Position',[0.695,0.53,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');   

panelStruct.hAxisMMu1xx = axes('Parent',panelStruct.hPanelViewModelMu ,'Unit','Normalized','Position',[0.025,0.03,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMMu2xx = axes('Parent',panelStruct.hPanelViewModelMu  ,'Unit','Normalized','Position',[0.025,0.53,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMMu1yy = axes('Parent',panelStruct.hPanelViewModelMu  ,'Unit','Normalized','Position',[0.36,0.03,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMMu2yy = axes('Parent',panelStruct.hPanelViewModelMu  ,'Unit','Normalized','Position',[0.36,0.53,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMMu1zz = axes('Parent',panelStruct.hPanelViewModelMu  ,'Unit','Normalized','Position',[0.695,0.03,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMMu2zz = axes('Parent',panelStruct.hPanelViewModelMu ,'Unit','Normalized','Position',[0.695,0.53,0.3,0.46],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
 
panelStruct.hAxisMAlpxx = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.025,0.69,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpxy = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.36,0.69,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpxz = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.695,0.69,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpyx = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.025,0.36,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpyy = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.36,0.36,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpyz = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.695,0.36,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpzx = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.025,0.03,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpzy = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.36,0.03,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
panelStruct.hAxisMAlpzz = axes('Parent',panelStruct.hPanelViewModelAlp ,'Unit','Normalized','Position',[0.695,0.03,0.3,0.3],'Box','on','Color',[0.975 0.975 0.975],'NextPlot','add');
 
initializeEdits(Hand);

addlistener(Hand.sliderO,'ContinuousValueChange',@SliderOCb);
addlistener(Hand.sliderG,'ContinuousValueChange',@SliderGCb);
addlistener(Hand.sliderS,'ContinuousValueChange',@SliderSCb);

%set(Hand.sliderO,'Min',0.05,'Max',0.9);
set(Hand.sliderG,'Min',0,'Max',40);
set(Hand.sliderS,'Min',0,'Max',35);
% % Choose default command line output for MMFit_BULK
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes MMFit_BULK wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = MMFit_BULK_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in EpsilonButton.
function EpsilonButton_Callback(hObject, eventdata, handles)
% hObject    handle to EpsilonButton (see GCBO)
global Par panelStruct;
        set(panelStruct.hPanelViewPD,'Visible','off');
        set(panelStruct.hPanelViewEps,'Visible','on');
        set(panelStruct.hPanelViewR,'Visible','off');
        set(panelStruct.hPanelViewT,'Visible','off');
        set(panelStruct.hPanelViewMM,'Visible','off');
        set(panelStruct.hPanelViewModelEps,'Visible','off');
        set(panelStruct.hPanelViewModelMu,'Visible','off');
        set(panelStruct.hPanelViewModelAlp,'Visible','off');
        Par.AxesCounter = 1;
         global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in PsiDeltaButton.
function PsiDeltaButton_Callback(hObject, eventdata, handles)
% hObject    handle to PsiDeltaButton (see GCBO)
global Par panelStruct;
        set(panelStruct.hPanelViewPD,'Visible','on');
        set(panelStruct.hPanelViewEps,'Visible','off');
        set(panelStruct.hPanelViewR,'Visible','off');
        set(panelStruct.hPanelViewT,'Visible','off');
        set(panelStruct.hPanelViewMM,'Visible','off');
        set(panelStruct.hPanelViewModelEps,'Visible','off');
        set(panelStruct.hPanelViewModelMu,'Visible','off');
        set(panelStruct.hPanelViewModelAlp,'Visible','off');
        Par.AxesCounter = 2;
         global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in RButton.
function RButton_Callback(hObject, eventdata, handles)
% hObject    handle to RButton (see GCBO)
global Par panelStruct;
        set(panelStruct.hPanelViewPD,'Visible','off');
        set(panelStruct.hPanelViewEps,'Visible','off');
        set(panelStruct.hPanelViewR,'Visible','on');
        set(panelStruct.hPanelViewT,'Visible','off');
        set(panelStruct.hPanelViewMM,'Visible','off');
        set(panelStruct.hPanelViewModelEps,'Visible','off');
        set(panelStruct.hPanelViewModelMu,'Visible','off');
        set(panelStruct.hPanelViewModelAlp,'Visible','off');
        Par.AxesCounter = 3;
        global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in TButton.
function TButton_Callback(hObject, eventdata, handles)
% hObject    handle to TButton (see GCBO)
global Par panelStruct;
        set(panelStruct.hPanelViewPD,'Visible','off');
        set(panelStruct.hPanelViewEps,'Visible','off');
        set(panelStruct.hPanelViewR,'Visible','off');
        set(panelStruct.hPanelViewT,'Visible','on');
        set(panelStruct.hPanelViewMM,'Visible','off');
        set(panelStruct.hPanelViewModelEps,'Visible','off');
        set(panelStruct.hPanelViewModelMu,'Visible','off');
        set(panelStruct.hPanelViewModelAlp,'Visible','off');
        Par.AxesCounter = 4;
     global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in MMButton.
function MMButton_Callback(hObject, eventdata, handles)
% hObject    handle to MMButton (see GCBO)
global Par panelStruct;
        set(panelStruct.hPanelViewPD,'Visible','off');
        set(panelStruct.hPanelViewEps,'Visible','off');
        set(panelStruct.hPanelViewR,'Visible','off');
        set(panelStruct.hPanelViewT,'Visible','off');
        set(panelStruct.hPanelViewMM,'Visible','on');
        set(panelStruct.hPanelViewModelEps,'Visible','off');
        set(panelStruct.hPanelViewModelMu,'Visible','off');
        set(panelStruct.hPanelViewModelAlp,'Visible','off');
        Par.AxesCounter = 5;
        global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in AlpModelButton.
function AlpModelButton_Callback(hObject, eventdata, handles)
% hObject    handle to AlpModelButton (see GCBO)
global Par panelStruct Hand;
        set(panelStruct.hPanelViewPD,'Visible','off');
        set(panelStruct.hPanelViewEps,'Visible','off');
        set(panelStruct.hPanelViewR,'Visible','off');
        set(panelStruct.hPanelViewT,'Visible','off');
        set(panelStruct.hPanelViewMM,'Visible','off');
        set(panelStruct.hPanelViewModelEps,'Visible','off');
        set(panelStruct.hPanelViewModelMu,'Visible','off');
        set(panelStruct.hPanelViewModelAlp,'Visible','on');
        Par.AxesCounter = 8;
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in MuModelButton.
function MuModelButton_Callback(hObject, eventdata, handles)
% hObject    handle to MuModelButton (see GCBO)
global Par panelStruct Hand;
        set(panelStruct.hPanelViewPD,'Visible','off');
        set(panelStruct.hPanelViewEps,'Visible','off');
        set(panelStruct.hPanelViewR,'Visible','off');
        set(panelStruct.hPanelViewT,'Visible','off');
        set(panelStruct.hPanelViewMM,'Visible','off');
        set(panelStruct.hPanelViewModelEps,'Visible','off');
        set(panelStruct.hPanelViewModelMu,'Visible','on');
        set(panelStruct.hPanelViewModelAlp,'Visible','off');
        Par.AxesCounter = 7;
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in EpsModelButton.
function EpsModelButton_Callback(hObject, eventdata, handles)
% hObject    handle to EpsModelButton (see GCBO)
global Par panelStruct Hand;
        set(panelStruct.hPanelViewPD,'Visible','off');
        set(panelStruct.hPanelViewEps,'Visible','off');
        set(panelStruct.hPanelViewR,'Visible','off');
        set(panelStruct.hPanelViewT,'Visible','off');
        set(panelStruct.hPanelViewMM,'Visible','off');
        set(panelStruct.hPanelViewModelEps,'Visible','on');
        set(panelStruct.hPanelViewModelMu,'Visible','off');
        set(panelStruct.hPanelViewModelAlp,'Visible','off');
        Par.AxesCounter = 6;
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in LoadSave.
function LoadSave_Callback(hObject, eventdata, handles)
% hObject    handle to LoadSave (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global panelStruct
set(panelStruct.hPanelModelCalc,'Visible','off');
set(panelStruct.hPanelSymmetry ,'Visible','off');
set(panelStruct.hPanelControlFit ,'Visible','off');
set(panelStruct.hPanelControlLoadSave ,'Visible','on');

% --- Executes on button press in Fit.
function Fit_Callback(hObject, eventdata, handles)
% hObject    handle to Fit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global panelStruct
set(panelStruct.hPanelModelCalc,'Visible','off');
set(panelStruct.hPanelSymmetry ,'Visible','off');
set(panelStruct.hPanelControlLoadSave ,'Visible','off');
set(panelStruct.hPanelControlFit ,'Visible','on');

% --- Executes on button press in ModelCalc.
function ModelCalc_Callback(hObject, eventdata, handles)
% hObject    handle to ModelCalc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global panelStruct
set(panelStruct.hPanelModelCalc,'Visible','on');
set(panelStruct.hPanelSymmetry ,'Visible','off');
set(panelStruct.hPanelControlFit ,'Visible','off');
set(panelStruct.hPanelControlLoadSave ,'Visible','off');




function editAlpL_Callback(hObject, eventdata, handles)
% hObject    handle to editAlpL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

renewDataTables(hObject);

% Hints: get(hObject,'String') returns contents of editAlpL as text
%        str2double(get(hObject,'String')) returns contents of editAlpL as a double


% --- Executes during object creation, after setting all properties.
function editAlpL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editAlpL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



% --- Executes on button press in Calculate.
function Calculate_Callback(hObject, eventdata, handles)
% hObject    handle to Calculate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end





function editAlpU_Callback(hObject, eventdata, handles)
% hObject    handle to editAlpU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editAlpU as text
%        str2double(get(hObject,'String')) returns contents of editAlpU as a double


% --- Executes during object creation, after setting all properties.
function editAlpU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editAlpU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end




function editMuxxL_Callback(hObject, eventdata, handles)
% hObject    handle to editMuxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuxxL as text
%        str2double(get(hObject,'String')) returns contents of editMuxxL as a double


% --- Executes during object creation, after setting all properties.
function editMuxxL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuzzU_Callback(hObject, eventdata, handles)
% hObject    handle to editMuzzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuzzU as text
%        str2double(get(hObject,'String')) returns contents of editMuzzU as a double


% --- Executes during object creation, after setting all properties.
function editMuzzU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuzzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuyyCh.
function editMuyyCh_Callback(hObject, eventdata, handles)
% hObject    handle to editMuyyCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editMuyyCh



function editMuzzL_Callback(hObject, eventdata, handles)
% hObject    handle to editMuzzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuzzL as text
%        str2double(get(hObject,'String')) returns contents of editMuzzL as a double


% --- Executes during object creation, after setting all properties.
function editMuzzL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuzzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuzzCh.
function editMuzzCh_Callback(hObject, eventdata, handles)
% hObject    handle to editMuzzCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editMuzzCh



function editAlp_Callback(hObject, eventdata, handles)
% hObject    handle to editAlp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editAlp as text
%        str2double(get(hObject,'String')) returns contents of editAlp as a double


% --- Executes during object creation, after setting all properties.
function editAlp_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editAlp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



% --- Executes on button press in editEpsxxCh.
function editEpsxxCh_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsxxCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editEpsxxCh


% --- Executes on slider movement.
function sliderO_Callback(hObject, eventdata, handles)
% hObject    handle to sliderO (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider


% --- Executes during object creation, after setting all properties.
function sliderO_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderO (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderG_Callback(hObject, eventdata, handles)
% hObject    handle to sliderG (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider


% --- Executes during object creation, after setting all properties.
function sliderG_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderG (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderS_Callback(hObject, eventdata, handles)
% hObject    handle to sliderS (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider


% --- Executes during object creation, after setting all properties.
function sliderS_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderS (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function editEpsxx_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsxx as text
%        str2double(get(hObject,'String')) returns contents of editEpsxx as a double


% --- Executes during object creation, after setting all properties.
function editEpsxx_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsxxL_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsxxL as text
%        str2double(get(hObject,'String')) returns contents of editEpsxxL as a double


% --- Executes during object creation, after setting all properties.
function editEpsxxL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsxxU_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsxxU as text
%        str2double(get(hObject,'String')) returns contents of editEpsxxU as a double


% --- Executes during object creation, after setting all properties.
function editEpsxxU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editEpsxxF.
function editEpsxxF_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsxxF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editEpsxxF


% --- Executes on selection change in listboxOsc.
function listboxOsc_Callback(hObject, eventdata, handles)
% hObject    handle to listboxOsc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Hand
renewEdits();
hObj = checkChecks();
setSToV(hObj); 
% Hints: contents = cellstr(get(hObject,'String')) returns listboxOsc contents as cell array
%        contents{get(hObject,'Value')} returns selected item from listboxOsc


% --- Executes during object creation, after setting all properties.
function listboxOsc_CreateFcn(hObject, eventdata, handles)
% hObject    handle to listboxOsc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsyy_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsyy as text
%        str2double(get(hObject,'String')) returns contents of editEpsyy as a double


% --- Executes during object creation, after setting all properties.
function editEpsyy_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editEpsyyCh.
function editEpsyyCh_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsyyCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editEpsyyCh


% --- Executes on button press in editEpszzCh.
function editEpszzCh_Callback(hObject, eventdata, handles)
% hObject    handle to editEpszzCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editEpszzCh



function editEpszz_Callback(hObject, eventdata, handles)
% hObject    handle to editEpszz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpszz as text
%        str2double(get(hObject,'String')) returns contents of editEpszz as a double


% --- Executes during object creation, after setting all properties.
function editEpszz_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpszz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuxxCh.
function editMuxxCh_Callback(hObject, eventdata, handles)
% hObject    handle to editMuxxCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editMuxxCh



function editMuxx_Callback(hObject, eventdata, handles)
% hObject    handle to editMuxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuxx as text
%        str2double(get(hObject,'String')) returns contents of editMuxx as a double


% --- Executes during object creation, after setting all properties.
function editMuxx_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuyy_Callback(hObject, eventdata, handles)
% hObject    handle to editMuyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuyy as text
%        str2double(get(hObject,'String')) returns contents of editMuyy as a double


% --- Executes during object creation, after setting all properties.
function editMuyy_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function editMuzz_Callback(hObject, eventdata, handles)
% hObject    handle to editMuzz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuzz as text
%        str2double(get(hObject,'String')) returns contents of editMuzz as a double


% --- Executes during object creation, after setting all properties.
function editMuzz_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuzz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsyyL_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsyyL as text
%        str2double(get(hObject,'String')) returns contents of editEpsyyL as a double


% --- Executes during object creation, after setting all properties.
function editEpsyyL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsyyU_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsyyU as text
%        str2double(get(hObject,'String')) returns contents of editEpsyyU as a double


% --- Executes during object creation, after setting all properties.
function editEpsyyU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editEpsyyF.
function editEpsyyF_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsyyF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editEpsyyF


function editEpszzL_Callback(hObject, eventdata, handles)
% hObject    handle to editEpszzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpszzL as text
%        str2double(get(hObject,'String')) returns contents of editEpszzL as a double


% --- Executes during object creation, after setting all properties.
function editEpszzL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpszzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpszzU_Callback(hObject, eventdata, handles)
% hObject    handle to editEpszzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpszzU as text
%        str2double(get(hObject,'String')) returns contents of editEpszzU as a double


% --- Executes during object creation, after setting all properties.
function editEpszzU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpszzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editEpszzF.
function editEpszzF_Callback(hObject, eventdata, handles)
% hObject    handle to editEpszzF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editEpszzF



function editMuxxU_Callback(hObject, eventdata, handles)
% hObject    handle to editMuxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuxxU as text
%        str2double(get(hObject,'String')) returns contents of editMuxxU as a double


% --- Executes during object creation, after setting all properties.
function editMuxxU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuxxF.
function editMuxxF_Callback(hObject, eventdata, handles)
% hObject    handle to editMuxxF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editMuxxF



function editMuyyL_Callback(hObject, eventdata, handles)
% hObject    handle to editMuyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuyyL as text
%        str2double(get(hObject,'String')) returns contents of editMuyyL as a double


% --- Executes during object creation, after setting all properties.
function editMuyyL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuyyU_Callback(hObject, eventdata, handles)
% hObject    handle to editMuyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuyyU as text
%        str2double(get(hObject,'String')) returns contents of editMuyyU as a double


% --- Executes during object creation, after setting all properties.
function editMuyyU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuyyF.
function editMuyyF_Callback(hObject, eventdata, handles)
% hObject    handle to editMuyyF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editMuyyF


% --- Executes on button press in editMuzzF.
function editMuzzF_Callback(hObject, eventdata, handles)
% hObject    handle to editMuzzF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editMuzzF


% --- Executes on button press in editAlpCh.
function editAlpCh_Callback(hObject, eventdata, handles)
% hObject    handle to editAlpCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editAlpCh


% --- Executes on button press in editAlpF.
function editAlpF_Callback(hObject, eventdata, handles)
% hObject    handle to editAlpF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editAlpF


% --- Executes on button press in editEpsInfyyCh.
function editEpsInfyyCh_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfyyCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editEpsInfyyCh


% --- Executes on button press in editEpsInfxxF.
function editEpsInfxxF_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfxxF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editEpsInfxxF


% --- Executes on button press in editEpsInfxxCh.
function editEpsInfxxCh_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfxxCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editEpsInfxxCh


% --- Executes on button press in editEpsInfzzCh.
function editEpsInfzzCh_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfzzCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editEpsInfzzCh


% --- Executes on button press in editMuInfzzCh.
function editMuInfzzCh_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfzzCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editMuInfzzCh


% --- Executes on button press in editMuInfyyCh.
function editMuInfyyCh_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfyyCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editMuInfyyCh


% --- Executes on button press in editMuInfxxCh.
function editMuInfxxCh_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfxxCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editMuInfxxCh



function editEpsInfxx_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfxx as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfxx as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfxx_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsInfxxL_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfxxL as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfxxL as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfxxL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsInfxxU_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfxxU as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfxxU as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfxxU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editEpsInfyyF.
function editEpsInfyyF_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfyyF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editEpsInfyyF



function editEpsInfyy_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfyy as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfyy as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfyy_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsInfyyL_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfyyL as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfyyL as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfyyL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsInfyyU_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfyyU as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfyyU as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfyyU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editEpsInfzzF.
function editEpsInfzzF_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfzzF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editEpsInfzzF



function editEpsInfzz_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfzz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfzz as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfzz as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfzz_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfzz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsInfzzL_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfzzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfzzL as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfzzL as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfzzL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfzzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editEpsInfzzU_Callback(hObject, eventdata, handles)
% hObject    handle to editEpsInfzzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editEpsInfzzU as text
%        str2double(get(hObject,'String')) returns contents of editEpsInfzzU as a double


% --- Executes during object creation, after setting all properties.
function editEpsInfzzU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editEpsInfzzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuInfxxF.
function editMuInfxxF_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfxxF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editMuInfxxF



function editMuInfxx_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfxx as text
%        str2double(get(hObject,'String')) returns contents of editMuInfxx as a double


% --- Executes during object creation, after setting all properties.
function editMuInfxx_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfxx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuInfxxL_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfxxL as text
%        str2double(get(hObject,'String')) returns contents of editMuInfxxL as a double


% --- Executes during object creation, after setting all properties.
function editMuInfxxL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfxxL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuInfxxU_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfxxU as text
%        str2double(get(hObject,'String')) returns contents of editMuInfxxU as a double


% --- Executes during object creation, after setting all properties.
function editMuInfxxU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfxxU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuInfyyF.
function editMuInfyyF_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfyyF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editMuInfyyF



function editMuInfyy_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfyy as text
%        str2double(get(hObject,'String')) returns contents of editMuInfyy as a double


% --- Executes during object creation, after setting all properties.
function editMuInfyy_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfyy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuInfyyL_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfyyL as text
%        str2double(get(hObject,'String')) returns contents of editMuInfyyL as a double


% --- Executes during object creation, after setting all properties.
function editMuInfyyL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfyyL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuInfyyU_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfyyU as text
%        str2double(get(hObject,'String')) returns contents of editMuInfyyU as a double


% --- Executes during object creation, after setting all properties.
function editMuInfyyU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfyyU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editMuInfzzF.
function editMuInfzzF_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfzzF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editMuInfzzF



function editMuInfzz_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfzz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfzz as text
%        str2double(get(hObject,'String')) returns contents of editMuInfzz as a double


% --- Executes during object creation, after setting all properties.
function editMuInfzz_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfzz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuInfzzL_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfzzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfzzL as text
%        str2double(get(hObject,'String')) returns contents of editMuInfzzL as a double


% --- Executes during object creation, after setting all properties.
function editMuInfzzL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfzzL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editMuInfzzU_Callback(hObject, eventdata, handles)
% hObject    handle to editMuInfzzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editMuInfzzU as text
%        str2double(get(hObject,'String')) returns contents of editMuInfzzU as a double


% --- Executes during object creation, after setting all properties.
function editMuInfzzU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editMuInfzzU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function freqRangeL_Callback(hObject, eventdata, handles)
% hObject    handle to freqRangeL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Par
clear Par.OmegaArray
Par.OmegaArray = str2double(get(handles.freqRangeL,'String')):1:str2double(get(handles.freqRangeU,'String'));
% Hints: get(hObject,'String') returns contents of freqRangeL as text
%        str2double(get(hObject,'String')) returns contents of freqRangeL as a double


% --- Executes during object creation, after setting all properties.
function freqRangeL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to freqRangeL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function freqRangeU_Callback(hObject, eventdata, handles)
% hObject    handle to freqRangeU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Par
clear Par.OmegaArray
Par.OmegaArray = str2double(get(handles.freqRangeL,'String')):1:str2double(get(handles.freqRangeU,'String'));
% Hints: get(hObject,'String') returns contents of freqRangeU as text
%        str2double(get(hObject,'String')) returns contents of freqRangeU as a double


% --- Executes during object creation, after setting all properties.
function freqRangeU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to freqRangeU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editGammaCh.
function editGammaCh_Callback(hObject, eventdata, handles)
% hObject    handle to editGammaCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of editGammaCh



function editGamma_Callback(hObject, eventdata, handles)
% hObject    handle to editGamma (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editGamma as text
%        str2double(get(hObject,'String')) returns contents of editGamma as a double


% --- Executes during object creation, after setting all properties.
function editGamma_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editGamma (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editGammaL_Callback(hObject, eventdata, handles)
% hObject    handle to editGammaL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editGammaL as text
%        str2double(get(hObject,'String')) returns contents of editGammaL as a double


% --- Executes during object creation, after setting all properties.
function editGammaL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editGammaL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editGammaU_Callback(hObject, eventdata, handles)
% hObject    handle to editGammaU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editGammaU as text
%        str2double(get(hObject,'String')) returns contents of editGammaU as a double


% --- Executes during object creation, after setting all properties.
function editGammaU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editGammaU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editGammaF.
function editGammaF_Callback(hObject, eventdata, handles)
% hObject    handle to editGammaF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editGammaF


% --- Executes on button press in editAOICh.
function editAOICh_Callback(hObject, eventdata, handles)
% hObject    handle to editAOICh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
setChTo0(hObject)
setMaxMinSliderS(hObject);
setSToV(hObject);
% Hint: get(hObject,'Value') returns toggle state of editAOICh



function editOmega_Callback(hObject, eventdata, handles)
% hObject    handle to editOmega (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editOmega as text
%        str2double(get(hObject,'String')) returns contents of editOmega as a double


% --- Executes during object creation, after setting all properties.
function editOmega_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editOmega (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editOmegaL_Callback(hObject, eventdata, handles)
% hObject    handle to editOmegaL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editOmegaL as text
%        str2double(get(hObject,'String')) returns contents of editOmegaL as a double


% --- Executes during object creation, after setting all properties.
function editOmegaL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editOmegaL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editOmegaU_Callback(hObject, eventdata, handles)
% hObject    handle to editOmegaU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
% Hints: get(hObject,'String') returns contents of editOmegaU as text
%        str2double(get(hObject,'String')) returns contents of editOmegaU as a double


% --- Executes during object creation, after setting all properties.
function editOmegaU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editOmegaU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in editOmegaF.
function editOmegaF_Callback(hObject, eventdata, handles)
% hObject    handle to editOmegaF (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
renewDataTables(hObject);
renewEdits();
% Hint: get(hObject,'Value') returns toggle state of editOmegaF


% --- Executes on button press in ShowTab.
function ShowTab_Callback(hObject, eventdata, handles)
% hObject    handle to ShowTab (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
ShowTab();
% handles    structure with handles and user data (see GUIDATA)



function LURange_Callback(hObject, eventdata, handles)
% hObject    handle to LURange (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of LURange as text
%        str2double(get(hObject,'String')) returns contents of LURange as a double


% --- Executes during object creation, after setting all properties.
function LURange_CreateFcn(hObject, eventdata, handles)
% hObject    handle to LURange (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editAOI_Callback(hObject, eventdata, handles)
% hObject    handle to editAOI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Par
Par.AOI = str2double(get(hObject,'String'))/180*pi;
% Hints: get(hObject,'String') returns contents of editAOI as text
%        str2double(get(hObject,'String')) returns contents of editAOI as a double


% --- Executes during object creation, after setting all properties.
function editAOI_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editAOI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in AnalyticalCh.
function AnalyticalCh_Callback(hObject, eventdata, handles)
% hObject    handle to AnalyticalCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of AnalyticalCh


% --- Executes on button press in NumericalCh.
function NumericalCh_Callback(hObject, eventdata, handles)
% hObject    handle to NumericalCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of NumericalCh


% --- Executes on button press in Symmetry.
function Symmetry_Callback(hObject, eventdata, handles)
% hObject    handle to Symmetry (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global panelStruct
set(panelStruct.hPanelModelCalc,'Visible','off');
set(panelStruct.hPanelControlFit ,'Visible','off');
set(panelStruct.hPanelControlLoadSave ,'Visible','off');
set(panelStruct.hPanelSymmetry ,'Visible','on');


% --- Executes on button press in M11Ch.
function M11Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M11Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M11Ch


% --- Executes on button press in FitStart.
function FitStart_Callback(hObject, eventdata, handles)
% hObject    handle to FitStart (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Par h Hand


h = waitbar(0,'Fitting...','Position',[750, 280, 270, 50]);
x0 = [Par.Omega.',Par.Gamma.',Par.Epsxx.',Par.Epsyy.',Par.Epszz.',Par.Muxx.',Par.Muyy.',Par.Muzz.',Par.Alp.',Par.EpsxxInf.',Par.EpsyyInf.',Par.EpszzInf.',Par.MuxxInf.',Par.MuyyInf.',Par.MuzzInf.'];
lb = [Par.OmegaL.',Par.GammaL.',Par.EpsxxL.',Par.EpsyyL.',Par.EpszzL.',Par.MuxxL.',Par.MuyyL.',Par.MuzzL.',Par.AlpL.',Par.EpsxxInfL.',Par.EpsyyInfL.',Par.EpszzInfL.',Par.MuxxInfL.',Par.MuyyInfL.',Par.MuzzInfL.'];
ub = [Par.OmegaU.',Par.GammaU.',Par.EpsxxU.',Par.EpsyyU.',Par.EpszzU.',Par.MuxxU.',Par.MuyyU.',Par.MuzzU.',Par.AlpU.',Par.EpsxxInfU.',Par.EpsyyInfU.',Par.EpszzInfU.',Par.MuxxInfU.',Par.MuyyInfU.',Par.MuzzInfU.'];
ix = [Par.OmegaF.',Par.GammaF.',Par.EpsxxF.',Par.EpsyyF.',Par.EpszzF.',Par.MuxxF.',Par.MuyyF.',Par.MuzzF.',Par.AlpF.',Par.EpsxxInfF.',Par.EpsyyInfF.',Par.EpszzInfF.',Par.MuxxInfF.',Par.MuyyInfF.',Par.MuzzInfF.'];

if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false
fun=@ fit_thin_film_R_ss_no_coherence_diag;
else
fun=@ fit_thin_film_R_ss_no_coherence;%function handle of objective function
end
Npar = length(x0);
MaxIter=str2double(get(handles.NumIter,'String'));
epsilon_1 = 1e-009;
epsilon_2 = 1e-009;
epsilon_3 = 1e-011;
epsilon_4 = 0.0001;
opts=[epsilon_1 epsilon_2 epsilon_3 MaxIter epsilon_4 ];
alamda=-2; %initializes alamda (Numerical Recipes wants first alamda <0 in first iteration)
cf=0; %initializes counting of number of calls to function
sig=1;
AdjustOmegaarray();

[omega, R_ss1] = cutDataForFit(Par.Eps1DataOmega,Par.Eps1DataIntensity);
[omega, R_ss2] = cutDataForFit(Par.Eps2DataOmega,Par.Eps2DataIntensity);
[omega, R_ss3] = cutDataForFit(Par.PsiDataOmega,Par.PsiDataIntensity);
[omega, R_ss4] = cutDataForFit(Par.DeltaDataOmega,Par.DeltaDataIntensity);
[omega, R_ss5] = cutDataForFit(Par.RppDataOmega,Par.RppDataIntensity);
[omega, R_ss6] = cutDataForFit(Par.RpsDataOmega,Par.RpsDataIntensity);
[omega, R_ss7] = cutDataForFit(Par.RspDataOmega,Par.RspDataIntensity);
[omega, R_ss8] = cutDataForFit(Par.RssDataOmega,Par.RssDataIntensity);
[omega, R_ss9] = cutDataForFit(Par.TppDataOmega,Par.TppDataIntensity);
[omega, R_ss10] = cutDataForFit(Par.TpsDataOmega,Par.TpsDataIntensity);
[omega, R_ss11] = cutDataForFit(Par.TspDataOmega,Par.TspDataIntensity);
[omega, R_ss12] = cutDataForFit(Par.TssDataOmega,Par.TssDataIntensity);

[omegaCut, intensityCut] = cutDataMuellerForFit(Par.MMDataOmega,Par.MMDataIntensity);
R_ss13 = intensityCut(:,1);R_ss14 = intensityCut(:,2);R_ss15 = intensityCut(:,3);R_ss16 = intensityCut(:,4);
R_ss17 = intensityCut(:,5);R_ss18 = intensityCut(:,6);R_ss19 = intensityCut(:,7);R_ss20 = intensityCut(:,8);
R_ss21 = intensityCut(:,9);R_ss22 = intensityCut(:,10);R_ss23 = intensityCut(:,11);R_ss24 = intensityCut(:,12);
R_ss25 = intensityCut(:,13);R_ss26 = intensityCut(:,14);R_ss27 = intensityCut(:,15);R_ss28 = intensityCut(:,16);


R_ss = [R_ss1,R_ss2,R_ss3,R_ss4,R_ss5,R_ss6,R_ss7,R_ss8,R_ss9,R_ss10...
      R_ss11,R_ss12,R_ss13,R_ss14,R_ss15,R_ss16,R_ss17,R_ss18,R_ss19,R_ss20...
      R_ss21,R_ss22,R_ss23,R_ss24,R_ss25,R_ss26,R_ss27,R_ss28];


freq_fr = 0;
ampl_amp = 0;

[f mx ndata nmueller cf ]=funcs_R_ss_v4(fun,x0,omega,R_ss,cf,freq_fr,ampl_amp);%used to calculate variables to be called later
[x chisq iter alpha covar cf]=mrqmin_bounded_R_ss_v4(alamda,ix, mx,ndata,fun,x0, opts, sig,omega,R_ss, cf,lb,ub,freq_fr,ampl_amp);
%[f R_ss_fit  Dielectric Ep_inf Magnons d  Ep Mu]=fit_thin_film_R_ss_no_coherence(x,omega,R_ss,freq_fr,ampl_amp);

covar

LU = str2double(get(Hand.LURange,'String'))/100;

Par.Omega = x(1:36).';
Par.Gamma = x(36+1:2*36).';
Par.Epsxx = x(2*36+1:3*36).';
Par.Epsyy =  x(3*36+1:4*36).';
Par.Epszz =  x(4*36+1:5*36).';
Par.Muxx =  x(5*36+1:6*36).';
Par.Muyy =  x(6*36+1:7*36).';
Par.Muzz =  x(7*36+1:8*36).';
Par.Alp = x(8*36+1:9*36).';
Par.EpsxxInf = x(9*36+1).';
Par.EpsyyInf = x(9*36+2).';
Par.EpszzInf = x(9*36+3).';
Par.MuxxInf = x(9*36+4).';
Par.MuyyInf = x(9*36+5).';
Par.MuzzInf = x(9*36+6).';

Par.OmegaL = x(1:36).' - LU*x(1:36).';
Par.GammaL = x(36+1:2*36).' - LU*x(36+1:2*36).';
Par.EpsxxL = x(2*36+1:3*36).' - LU*x(2*36+1:3*36).';
Par.EpsyyL =  x(3*36+1:4*36).' - LU*x(3*36+1:4*36).';
Par.EpszzL =  x(4*36+1:5*36).' - LU*x(4*36+1:5*36).';
Par.MuxxL =  x(5*36+1:6*36).' - LU*x(5*36+1:6*36).';
Par.MuyyL =  x(6*36+1:7*36).' - LU*x(6*36+1:7*36).';
Par.MuzzL =  x(7*36+1:8*36).' - LU*x(7*36+1:8*36).';
Par.AlpL = x(8*36+1:9*36).' - LU*x(8*36+1:9*36).';
Par.EpsxxInfL = x(9*36+1).' - LU*x(9*36+1).';
Par.EpsyyInfL = x(9*36+2).' - LU*x(9*36+2).';
Par.EpszzInfL = x(9*36+3).' - LU*x(9*36+3).';
Par.MuxxInfL = x(9*36+4).' - LU*x(9*36+4).';
Par.MuyyInfL = x(9*36+5).' - LU*x(9*36+5).';
Par.MuzzInfL = x(9*36+6).' - LU*x(9*36+6).';

Par.OmegaU = x(1:36).' + LU*x(1:36).';
Par.GammaU = x(36+1:2*36).' + LU*x(36+1:2*36).';
Par.EpsxxU = x(2*36+1:3*36).' + LU*x(2*36+1:3*36).';
Par.EpsyyU =  x(3*36+1:4*36).' + LU*x(3*36+1:4*36).';
Par.EpszzU =  x(4*36+1:5*36).' + LU*x(4*36+1:5*36).';
Par.MuxxU =  x(5*36+1:6*36).' + LU*x(5*36+1:6*36).';
Par.MuyyU =  x(6*36+1:7*36).' + LU*x(6*36+1:7*36).';
Par.MuzzU =  x(7*36+1:8*36).' + LU*x(7*36+1:8*36).';
Par.AlpU = x(8*36+1:9*36).' + LU*x(8*36+1:9*36).';
Par.EpsxxInfU = x(9*36+1).' + LU*x(9*36+1).';
Par.EpsyyInfU = x(9*36+2).' + LU*x(9*36+2).';
Par.EpszzInfU = x(9*36+3).' + LU*x(9*36+3).';
Par.MuxxInfU = x(9*36+4).' + LU*x(9*36+4).';
Par.MuyyInfU = x(9*36+5).' + LU*x(9*36+5).';
Par.MuzzInfU = x(9*36+6).' + LU*x(9*36+6).';
renewEdits();

function FitBack_Callback(hObject, eventdata, handles)
% hObject    handle to FitBack (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in M12Ch.
function M12Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M12Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M12Ch


% --- Executes on button press in M13Ch.
function M13Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M13Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M13Ch


% --- Executes on button press in M14Ch.
function M14Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M14Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M14Ch


% --- Executes on button press in M22Ch.
function M22Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M22Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M22Ch


% --- Executes on button press in M23Ch.
function M23Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M23Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M23Ch


% --- Executes on button press in M24Ch.
function M24Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M24Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M24Ch


% --- Executes on button press in M21Ch.
function M21Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M21Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M21Ch


% --- Executes on button press in M32Ch.
function M32Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M32Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M32Ch


% --- Executes on button press in M33Ch.
function M33Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M33Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M33Ch


% --- Executes on button press in M34Ch.
function M34Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M34Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M34Ch


% --- Executes on button press in M31Ch.
function M31Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M31Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M31Ch


% --- Executes on button press in M42Ch.
function M42Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M42Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M42Ch


% --- Executes on button press in M43Ch.
function M43Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M43Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M43Ch


% --- Executes on button press in M44Ch.
function M44Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M44Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M44Ch


% --- Executes on button press in M41Ch.
function M41Ch_Callback(hObject, eventdata, handles)
% hObject    handle to M41Ch (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of M41Ch


% --- Executes on button press in ReEpsCh.
function ReEpsCh_Callback(hObject, eventdata, handles)
% hObject    handle to ReEpsCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of ReEpsCh


% --- Executes on button press in ImEpsCh.
function ImEpsCh_Callback(hObject, eventdata, handles)
% hObject    handle to ImEpsCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of ImEpsCh


% --- Executes on button press in PsiCh.
function PsiCh_Callback(hObject, eventdata, handles)
% hObject    handle to PsiCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of PsiCh


% --- Executes on button press in DeltaCh.
function DeltaCh_Callback(hObject, eventdata, handles)
% hObject    handle to DeltaCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of DeltaCh


% --- Executes on button press in RppCh.
function RppCh_Callback(hObject, eventdata, handles)
% hObject    handle to RppCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of RppCh


% --- Executes on button press in RpsCh.
function RpsCh_Callback(hObject, eventdata, handles)
% hObject    handle to RpsCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of RpsCh


% --- Executes on button press in RspCh.
function RspCh_Callback(hObject, eventdata, handles)
% hObject    handle to RspCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of RspCh


% --- Executes on button press in RssCh.
function RssCh_Callback(hObject, eventdata, handles)
% hObject    handle to RssCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of RssCh


% --- Executes on button press in TppCh.
function TppCh_Callback(hObject, eventdata, handles)
% hObject    handle to TppCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of TppCh


% --- Executes on button press in TpsCh.
function TpsCh_Callback(hObject, eventdata, handles)
% hObject    handle to TpsCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of TpsCh


% --- Executes on button press in TspCh.
function TspCh_Callback(hObject, eventdata, handles)
% hObject    handle to TspCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of TspCh


% --- Executes on button press in TssCh.
function TssCh_Callback(hObject, eventdata, handles)
% hObject    handle to TssCh (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of TssCh



function editFitL_Callback(hObject, eventdata, handles)
% hObject    handle to editFitL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editFitL as text
%        str2double(get(hObject,'String')) returns contents of editFitL as a double


% --- Executes during object creation, after setting all properties.
function editFitL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editFitL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editFitU_Callback(hObject, eventdata, handles)
% hObject    handle to editFitU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editFitU as text
%        str2double(get(hObject,'String')) returns contents of editFitU as a double


% --- Executes during object creation, after setting all properties.
function editFitU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editFitU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in radiobutton82.
function radiobutton82_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton82 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton82


% --- Executes on button press in radiobutton83.
function radiobutton83_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton83 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton83


% --- Executes on button press in radiobutton84.
function radiobutton84_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton84 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton84


% --- Executes on button press in radiobutton85.
function radiobutton85_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton85 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton85


% --- Executes on button press in radiobutton86.
function radiobutton86_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton86 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton86


% --- Executes on button press in radiobutton87.
function radiobutton87_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton87 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton87



function reduceDataL_Callback(hObject, eventdata, handles)
% hObject    handle to reduceDataL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of reduceDataL as text
%        str2double(get(hObject,'String')) returns contents of reduceDataL as a double


% --- Executes during object creation, after setting all properties.
function reduceDataL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to reduceDataL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function reduceDataU_Callback(hObject, eventdata, handles)
% hObject    handle to reduceDataU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of reduceDataU as text
%        str2double(get(hObject,'String')) returns contents of reduceDataU as a double


% --- Executes during object creation, after setting all properties.
function reduceDataU_CreateFcn(hObject, eventdata, handles)
% hObject    handle to reduceDataU (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in reduceData.
function reduceData_Callback(hObject, eventdata, handles)
% hObject    handle to reduceData (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Par

[omegaCut intensityCut] = cutDataMueller(Par.MMDataOmega,Par.MMDataIntensity);
clear Par.MMDataOmega Par.MMDataIntensity
Par.MMDataOmega = omegaCut;
Par.MMDataIntensity = intensityCut;
[omegaCut intensityCut] = cutDataMueller(Par.MMDataOmega,Par.MMDataIntensity);

[omegaCut] = cutDataOmegaArray(Par.OmegaArray);
clear Par.OmegaArray 
Par.OmegaArray = omegaCut;

[omegaCut, intensityCut] = cutData(Par.RppDataOmega,Par.RppDataIntensity);
clear Par.RppDataOmega Par.RppDataIntensity
Par.RppDataOmega = omegaCut;
Par.RppDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.RpsDataOmega,Par.RpsDataIntensity);
clear Par.RpsDataOmega Par.RpsDataIntensity
Par.RpsDataOmega = omegaCut;
Par.RpsDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.RspDataOmega,Par.RspDataIntensity);
clear Par.RspDataOmega Par.RspDataIntensity
Par.RspDataOmega = omegaCut;
Par.RspDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.RssDataOmega,Par.RssDataIntensity);
clear Par.RssDataOmega Par.RssDataIntensity
Par.RssDataOmega = omegaCut;
Par.RssDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.TppDataOmega,Par.TppDataIntensity);
clear Par.TppDataOmega Par.TppDataIntensity
Par.TppDataOmega = omegaCut;
Par.TppDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.TpsDataOmega,Par.TpsDataIntensity);
clear Par.TpsDataOmega Par.TpsDataIntensity
Par.TpsDataOmega = omegaCut;
Par.TpsDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.TspDataOmega,Par.TspDataIntensity);
clear Par.TspDataOmega Par.TspDataIntensity
Par.TspDataOmega = omegaCut;
Par.TspDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.TssDataOmega,Par.TssDataIntensity);
clear Par.TssDataOmega Par.TssDataIntensity
Par.TssDataOmega = omegaCut;
Par.TssDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.PsiDataOmega,Par.PsiDataIntensity);
clear Par.PsiDataOmega Par.PsiDataIntensity
Par.PsiDataOmega = omegaCut;
Par.PsiDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.DeltaDataOmega,Par.DeltaDataIntensity);
clear Par.DeltaDataOmega Par.DeltaDataIntensity
Par.DeltaDataOmega = omegaCut;
Par.DeltaDataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.Eps1DataOmega,Par.Eps1DataIntensity);
clear Par.Eps1DataOmega Par.Eps1DataIntensity
Par.Eps1DataOmega = omegaCut;
Par.Eps1DataIntensity = intensityCut;
clear omegaCut intensityCut

[omegaCut, intensityCut] = cutData(Par.Eps2DataOmega,Par.Eps2DataIntensity);
clear Par.Eps2DataOmega Par.Eps2DataIntensity
Par.Eps2DataOmega = omegaCut;
Par.Eps2DataIntensity = intensityCut;
clear omegaCut intensityCut

warndlg('Data has been reduced',' Warning ');


function NumIter_Callback(hObject, eventdata, handles)
% hObject    handle to NumIter (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of NumIter as text
%        str2double(get(hObject,'String')) returns contents of NumIter as a double


% --- Executes during object creation, after setting all properties.
function NumIter_CreateFcn(hObject, eventdata, handles)
% hObject    handle to NumIter (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in CalulateLowPanel.
function CalulateLowPanel_Callback(hObject, eventdata, handles)
% hObject    handle to CalulateLowPanel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Hand
if (get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false) || ...
(get(Hand.s1ch,'Value') == false && get(Hand.s2ch,'Value') == false && get(Hand.s3ch,'Value') == false &&...
get(Hand.s4ch,'Value') == false) && get(Hand.s5ch,'Value') == false && get(Hand.s6ch,'Value') == false &&...
get(Hand.s7ch,'Value') == false

 displayDataAnalyticalDiagonal();   
    else
displayDataAnalytical();
end



function ExchangeL_Callback(hObject, eventdata, handles)
% hObject    handle to ExchangeL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ExchangeL as text
%        str2double(get(hObject,'String')) returns contents of ExchangeL as a double


% --- Executes during object creation, after setting all properties.
function ExchangeL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ExchangeL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ExchangeR_Callback(hObject, eventdata, handles)
% hObject    handle to ExchangeR (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ExchangeR as text
%        str2double(get(hObject,'String')) returns contents of ExchangeR as a double


% --- Executes during object creation, after setting all properties.
function ExchangeR_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ExchangeR (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in ExchangeBtn.
function ExchangeBtn_Callback(hObject, eventdata, handles)
% hObject    handle to ExchangeBtn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global Par Hand

if (get(Hand.editExchangeL,'String') == 'x' && get(Hand.editExchangeR,'String') == 'y') ||...
   (get(Hand.editExchangeL,'String') == 'y' && get(Hand.editExchangeR,'String') == 'x')     

tempC = Par.Epsxx; Par.Epsxx = Par.Epsyy; Par.Epsyy = tempC;
temp = Par.EpsxxInf; Par.EpsxxInf = Par.EpsyyInf; Par.EpsyyInf = temp;

tempCL = Par.EpsxxL; Par.EpsxxL = Par.EpsyyL; Par.EpsyyL = tempCL;
tempL = Par.EpsxxInfL; Par.EpsxxInfL = Par.EpsyyInfL; Par.EpsyyInfL = tempL;

tempCU = Par.EpsxxU; Par.EpsxxU = Par.EpsyyU; Par.EpsyyU = tempCU;
tempU = Par.EpsxxInfU; Par.EpsxxInfU = Par.EpsyyInfU; Par.EpsyyInfU = tempU;

tempC = Par.Muxx; Par.Muxx = Par.Muyy; Par.Muyy = tempC;
temp = Par.MuxxInf; Par.MuxxInf = Par.MuyyInf; Par.MuyyInf = temp;

tempCL = Par.MuxxL; Par.MuxxL = Par.MuyyL; Par.MuyyL = tempCL;
tempL = Par.MuxxInfL; Par.MuxxInfL = Par.MuyyInfL; Par.MuyyInfL = tempL;

tempCU = Par.MuxxU; Par.MuxxU = Par.MuyyU; Par.MuyyU = tempCU;
tempU = Par.MuxxInfU; Par.MuxxInfU = Par.MuyyInfU; Par.MuyyInfU = tempU;
end

if (get(Hand.editExchangeL,'String') == 'x' && get(Hand.editExchangeR,'String') == 'z') ||...
   (get(Hand.editExchangeL,'String') == 'z' && get(Hand.editExchangeR,'String') == 'x')     

tempC = Par.Epsxx; Par.Epsxx = Par.Epszz; Par.Epszz = tempC;
temp = Par.EpsxxInf; Par.EpsxxInf = Par.EpszzInf; Par.EpszzInf = temp;

tempCL = Par.EpsxxL; Par.EpsxxL = Par.EpszzL; Par.EpszzL = tempCL;
tempL = Par.EpsxxInfL; Par.EpsxxInfL = Par.EpszzInfL; Par.EpszzInfL = tempL;

tempCU = Par.EpsxxU; Par.EpsxxU = Par.EpszzU; Par.EpszzU = tempCU;
tempU = Par.EpsxxInfU; Par.EpsxxInfU = Par.EpszzInfU; Par.EpszzInfU = tempU;

tempC = Par.Muxx; Par.Muxx = Par.Muzz; Par.Muzz = tempC;
temp = Par.MuxxInf; Par.MuxxInf = Par.MuzzInf; Par.MuzzInf = temp;

tempCL = Par.MuxxL; Par.MuxxL = Par.MuzzL; Par.MuzzL = tempCL;
tempL = Par.MuxxInfL; Par.MuxxInfL = Par.MuzzInfL; Par.MuzzInfL = tempL;

tempCU = Par.MuxxU; Par.MuxxU = Par.MuzzU; Par.MuzzU = tempCU;
tempU = Par.MuxxInfU; Par.MuxxInfU = Par.MuzzInfU; Par.MuzzInfU = tempU;
end


if (get(Hand.editExchangeL,'String') == 'z' && get(Hand.editExchangeR,'String') == 'y') ||...
   (get(Hand.editExchangeL,'String') == 'y' && get(Hand.editExchangeR,'String') == 'z')     

tempC = Par.Epszz; Par.Epszz = Par.Epsyy; Par.Epsyy = tempC;
temp = Par.EpszzInf; Par.EpszzInf = Par.EpsyyInf; Par.EpsyyInf = temp;

tempCL = Par.EpszzL; Par.EpszzL = Par.EpsyyL; Par.EpsyyL = tempCL;
tempL = Par.EpszzInfL; Par.EpszzInfL = Par.EpsyyInfL; Par.EpsyyInfL = tempL;

tempCU = Par.EpszzU; Par.EpszzU = Par.EpsyyU; Par.EpsyyU = tempCU;
tempU = Par.EpszzInfU; Par.EpszzInfU = Par.EpsyyInfU; Par.EpsyyInfU = tempU;

tempC = Par.Muzz; Par.Muzz = Par.Muyy; Par.Muyy = tempC;
temp = Par.MuzzInf; Par.MuzzInf = Par.MuyyInf; Par.MuyyInf = temp;

tempCL = Par.MuzzL; Par.MuzzL = Par.MuyyL; Par.MuyyL = tempCL;
tempL = Par.MuzzInfL; Par.MuzzInfL = Par.MuyyInfL; Par.MuyyInfL = tempL;

tempCU = Par.MuzzU; Par.MuzzU = Par.MuyyU; Par.MuyyU = tempCU;
tempU = Par.MuzzInfU; Par.MuzzInfU = Par.MuyyInfU; Par.MuyyInfU = tempU;
end

renewEdits();
