function [f R_ss_fit  Dielectric Ep_inf Magnons d1  Ep Mu]=fit_thin_film_R_ss_no_coherence(x,omega,R_ss,frequency,amplitude)

global Hand Par panelStruct

Omega = x(1:36).';
Gamma = x(36+1:2*36).';
Epsxx = x(2*36+1:3*36).';
Epsyy =  x(3*36+1:4*36).';
Epszz =  x(4*36+1:5*36).';
Muxx =  x(5*36+1:6*36).';
Muyy =  x(6*36+1:7*36).';
Muzz =  x(7*36+1:8*36).';
Alp = x(8*36+1:9*36).';
EpsxxInf = x(9*36+1).';
EpsyyInf = x(9*36+2).';
EpszzInf = x(9*36+3).';
MuxxInf = x(9*36+4).';
MuyyInf = x(9*36+5).';
MuzzInf = x(9*36+6).';
%--------------------------------------------------------------------------
%Numerical Calculations

for ii = 1:length(omega)

exx = 0;eyy = 0;ezz = 0;mxx = 0;myy = 0;mzz = 0;alp = 0;
for jj = 1:36  
exx = exx + Epsxx(jj).*Omega(jj).^2./(Omega(jj).^2 - omega(ii).^2 - 1i.*Gamma(jj).*omega(ii));
eyy = eyy + Epsyy(jj).*Omega(jj).^2./(Omega(jj).^2 - omega(ii).^2 - 1i.*Gamma(jj).*omega(ii)); 
ezz = ezz + Epszz(jj).*Omega(jj).^2./(Omega(jj).^2 - omega(ii).^2 - 1i.*Gamma(jj).*omega(ii));
mxx = mxx + Muxx(jj).*Omega(jj).^2./(Omega(jj).^2 - omega(ii).^2- 1i.*Gamma(jj).*omega(ii)); 
myy = myy + Muyy(jj).*Omega(jj).^2./(Omega(jj).^2 - omega(ii).^2 - 1i.*Gamma(jj).*omega(ii)); 
mzz = mzz + Muzz(jj).*Omega(jj).^2./(Omega(jj).^2 - omega(ii).^2 - 1i.*Gamma(jj).*omega(ii));
alp = alp + Alp(jj).*Omega(jj).^2./(Omega(jj).^2 - omega(ii).^2 - 1i.*Gamma(jj).*omega(ii));
end

EPSxx(ii) = EpsxxInf +  exx;
EPSyy(ii) = EpsyyInf +  eyy;
EPSzz(ii) = EpszzInf +  ezz;
MUxx(ii) =  MuxxInf +  mxx;
MUyy(ii) =  MuyyInf  +  myy;
MUzz(ii) =  MuzzInf  +  mzz;
ALP(ii) = alp;

% Alpha Tensor
if get(Hand.s1ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  ALP(ii),    0];...
            [     0,   EPSyy(ii),      0, ALP(ii)',        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, ALP(ii)',      0,     MUxx(ii),       0,    0];...
            [     ALP(ii)',       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == true && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        ALP(ii),  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     ALP(ii)', 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    ALP(ii)];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        ALP(ii)',        0,    0];...
            [     0, 0,      ALP(ii)',     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     ALP(ii),       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == true && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,  0,        ALP(ii),    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0,  0,      0,     MUxx(ii),       0,    0];...
            [     0,       ALP(ii)',      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    ALP(ii)];...
            [     0,       0,  EPSzz(ii),        0,        ALP(ii)',    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      ALP(ii)',       0,MUyy(ii),    0];...
            [     0,       ALP(ii),      0,        0,        0, MUzz(ii)]];  
        
        end
       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == true
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,    0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    ALP(ii)];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      ALP(ii)',        0,        0, MUzz(ii)]];  
        
        end        
end


% Alp Tensor
if get(Hand.s2ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  real(ALP(ii)),    0];...
            [     0,   EPSyy(ii),      0, -real(ALP(ii)),        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, -real(ALP(ii)),      0,     MUxx(ii),       0,    0];...
            [     real(ALP(ii)),       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == true && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        real(ALP(ii)),  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     real(ALP(ii)), 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    real(ALP(ii))];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        -real(ALP(ii)),        0,    0];...
            [     0, 0,      -real(ALP(ii)),     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     real(ALP(ii)),       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == true && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,  0,        real(ALP(ii)),    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0,  0,      0,     MUxx(ii),       0,    0];...
            [     0,       real(ALP(ii)),      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    real(ALP(ii))];...
            [     0,       0,  EPSzz(ii),        0,        -real(ALP(ii)),    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      -real(ALP(ii)),       0,MUyy(ii),    0];...
            [     0,       real(ALP(ii)),      0,        0,        0, MUzz(ii)]];  
        
        end
       
if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == true
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,    0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    real(ALP(ii))];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      real(ALP(ii)),        0,        0, MUzz(ii)]];  
        
end 
end

% Eps Tensor
if get(Hand.s3ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       real(ALP(ii)),      0,        0,  0,    0];...
            [     -real(ALP(ii)),   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      real(ALP(ii)),        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     -real(ALP(ii)),       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      real(ALP(ii)), 0,        0,    0];...
            [     0,       -real(ALP(ii)),  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
end


% iKsi Tensor
if get(Hand.s5ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  1i*real(ALP(ii)),    0];...
            [     0,   EPSyy(ii),      0, -1i*real(ALP(ii)),        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, -1i*real(ALP(ii)),      0,     MUxx(ii),       0,    0];...
            [     1i*real(ALP(ii)),       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == true && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        1i*real(ALP(ii)),  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     -1i*real(ALP(ii)), 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    1i*real(ALP(ii))];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        -1i*real(ALP(ii)),        0,    0];...
            [     0, 0,      -1i*real(ALP(ii)),     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     1i*real(ALP(ii)),       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == true && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,  0,        1i*real(ALP(ii)),    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0,  0,      0,     MUxx(ii),       0,    0];...
            [     0,       -1i*real(ALP(ii)),      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    1i*real(ALP(ii))];...
            [     0,       0,  EPSzz(ii),        0,        -1i*real(ALP(ii)),    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      -1i*real(ALP(ii)),       0,MUyy(ii),    0];...
            [     0,       1i*real(ALP(ii)),      0,        0,        0, MUzz(ii)]];  
        
        end
       
if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == true
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,    0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    1i*real(ALP(ii))];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      -1i*real(ALP(ii)),        0,        0, MUzz(ii)]];  
        
end 
end

% iEps Tensor
if get(Hand.s6ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       1i*real(ALP(ii)),      0,        0,  0,    0];...
            [     -1i*real(ALP(ii)),   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      1i*real(ALP(ii)),        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     -1i*real(ALP(ii)),       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      1i*real(ALP(ii)), 0,        0,    0];...
            [     0,       -1i*real(ALP(ii)),  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
end
% Alpha Tensor with Transpose = 0
if get(Hand.s4ch,'Value') == true 
tempM = [[1,1,1,1,1,1];...
        [1,1,1,1,1,1];...
        [1,1,1,1,1,1];...
        [0,0,0,1,1,1];...
        [0,0,0,1,1,1];...
        [0,0,0,1,1,1]];
    M = M.*tempM;
end

% -Rho/Eps Tensor
if get(Hand.s7ch,'Value') == true 
tempM = [[1,-1,1,-1,-1,-1];...
        [-1,1,-1,-1,1,-1];...
        [-1,-1,1,-1,-1,1];...
        [1,-1,-1,1,0,0];...
        [-1,1,-1,0,1,0];...
        [-1,-1,1,0,0,1]];
    M = M.*tempM;
end



        
        
       




N0=1;
Theta0 = Par.AOI;
n = N0.*sin(Theta0);
D1 = M(3,3).*M(6,6)-M(3,6).*M(6,3);
A1=(M(6,1).*M(3,6)-M(3,1).*M(6,6))./D1 ;
A2=((M(6,2)-n).*M(3,6)-M(3,2).*M(6,6))./D1 ;
A3=(M(6,4).*M(3,6)-M(3,4).*M(6,6))./D1 ;
A4=(M(6,5).*M(3,6)-(M(3,5)+n).*M(6,6))./D1 ;
A5=(M(6,3).*M(3,1)-M(3,3).*M(6,1))./D1 ;
A6=(M(6,3).*M(3,2)-(M(6,2)-n).*M(3,3))./D1 ;
A7=(M(6,3).*M(3,4)-M(3,3).*M(6,4))./D1 ;
A8=((M(3,5)+n).*M(6,3)-M(3,3).*M(6,5))./D1 ;
del11=M(5,1)+(M(5,3)+n).*A1+M(5,6).*A5 ;
del12=M(5,5)+(M(5,3)+n).*A4+M(5,6).*A8 ;
del13=M(5,2)+(M(5,3)+n).*A2+M(5,6).*A6 ;
del14=-(M(5,4)+(M(5,3)+n).*A3+M(5,6).*A7) ;
del21=M(1,1)+M(1,3).*A1+M(1,6).*A5 ;
del22=M(1,5)+M(1,3).*A4+M(1,6).*A8 ;
del23= M(1,2)+M(1,3).*A2+M(1,6).*A6 ;
del24 = -(M(1,4)+M(1,3).*A3+M(1,6).*A7) ;
del31=-(M(4,1)+M(4,3).*A1+M(4,6).*A5) ;
del32=-(M(4,5)+M(4,3).*A4+M(4,6).*A8) ;
del33=-(M(4,2)+M(4,3).*A2+M(4,6).*A6) ;
del34=M(4,4)+M(4,3).*A3+M(4,6).*A7 ;
del41=M(2,1)+M(2,3).*A1+(M(2,6)-n).*A5 ;
del42=M(2,5)+M(2,3).*A4+(M(2,6)-n).*A8 ;
del43=M(2,2)+M(2,3).*A2+(M(2,6)-n).*A6 ;
del44=-(M(2,4)+M(2,3).*A3+(M(2,6)-n).*A7); 
DELxyxy = [[del11,del13,-del14,del12];[del31,del33,-del34,-del32];[-del41,-del43,del44,-del42];[del21,del23,-del24,del22]]; % for  [Ex,Ey,Hx,Hy]
Linv =   0.5*  [[                 0,           1,  - 1/(N0*cos(Theta0)),  0];...
           [                      0,           1,    1/(N0*cos(Theta0)),  0];...
           [         1/ cos(Theta0),        0,    0,                  1/N0];...
           [         -1/cos(Theta0),        0,    0,                  1/N0]];
[V,D] = eig(DELxyxy);
zeroVec = zeros(4,1);
vecNum = zeros(1,2);
k = 1;
cVN = 1;
positiveValueCounter = 0;    
    if D(k,k) >=0 
        vecNum(cVN) = k;
        cVN = 2;
        positiveValueCounter = positiveValueCounter +1; 
    end
    
    if D(k+1,k+1) >=0
        vecNum(cVN) = k+1;
        cVN = 2;
        positiveValueCounter = positiveValueCounter +1; 
    end
    
    if D(k+2,k+2) >=0
        vecNum(cVN) = k+2;
        cVN = 2;
        positiveValueCounter = positiveValueCounter +1; 
    end
    
    if D(k+3,k+3) >=0
        vecNum(2) = k+3;
        positiveValueCounter = positiveValueCounter +1; 
    end

    if positiveValueCounter > 2
         disp('Unexpected results are possible');
        disp('More than two EigenValues are positive for omega ');
        disp(omega(ii));
        disp('EigenValues:');
        disp([D(1,1) D(2,2) D(3,3) D(4,4)]);
        disp('EigenVectors:');
        disp([V(:,1) V(:,2) V(:,3) V(:,4)]);
        vecNum(1) = 1;
        vecNum(2) = 4;
    end
        
    if vecNum(1) == 0 || vecNum(2) == 0
        disp('Unexpected results are possible');
        disp('More than two EigenValues are negative for omega ');
        disp(omega(ii));
        disp('EigenValues:');
        disp([D(1,1) D(2,2) D(3,3) D(4,4)]);
        disp('EigenVectors:');
        disp([V(:,1) V(:,2) V(:,3) V(:,4)]);
        vecNum(1) = 1;
        vecNum(2) = 4;
    end
    
    Lout = [V(:,vecNum(1)),zeroVec,V(:,vecNum(2)),zeroVec];


T = Linv*Lout;


rpp(ii,1) = ( T(1,1)*T(4,3)-T(1,3)*T(4,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) ); 
rsp(ii,1) = ( T(1,1)*T(2,3)-T(1,3)*T(2,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
rss(ii,1) = ( T(2,1)*T(3,3)-T(2,3)*T(3,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
rps(ii,1) = ( T(3,3)*T(4,1)-T(3,1)*T(4,3) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );

tpp(ii,1) =  T(1,1) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tsp(ii,1) =  -T(1,3) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tss(ii,1) =  T(3,3) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tps(ii,1) =  -T(3,1) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
end

%--------------------------------------------------------------------------
tanPsi = abs(rpp)./abs(rss);
rhocomplex=(rpp)./(rss);
cosDelta = cos(angle(rhocomplex));
rhoLV = 1i*sqrt(1-cosDelta.^2).*tanPsi+ tanPsi.*cosDelta;
epsLV = (1+((1-rhoLV)./(1+rhoLV)).^2.*(tan(Theta0))^2).*(sin(Theta0))^2;

RppModel = rpp.*conj(rpp); RpsModel = rps.*conj(rps); RspModel = rsp.*conj(rsp); RssModel = rss.*conj(rss); 
TppModel = tpp.*conj(tpp); TpsModel = tps.*conj(tps); TspModel = tsp.*conj(tsp); TssModel = tss.*conj(tss); 
PsiModel = atand(tanPsi);
DeltaModel= angle(rhocomplex)*180/pi;
Eps1Model = real(epsLV);
Eps2Model = -imag(epsLV);

M11Model = (ones(length(omega)));
M12Model = (real((0.5*(rpp.*conj(rpp)-rss.*conj(rss)-rsp.*conj(rsp)+rps.*conj(rps)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)-rsp.*conj(rsp)+rps.*conj(rps)))));
M13Model = (real((rpp.*conj(rsp)+rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M14Model = (imag((rpp.*conj(rsp)+rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M21Model = (real ((0.5*(rpp.*conj(rpp)-rss.*conj(rss)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M22Model = (real ((0.5*(rpp.*conj(rpp)+rss.*conj(rss)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M23Model = (real((rpp.*conj(rsp)-rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M24Model = (imag((rpp.*conj(rsp)-rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M31Model = (real((rpp.*conj(rps)+rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M32Model = (real((rpp.*conj(rps)-rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M33Model = (real((conj(rss).*(rpp) + rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M34Model = (-imag((conj(rss).*(rpp) - rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M41Model = (-imag(rpp.*conj(rps)+rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
M42Model = (-imag(rpp.*conj(rps)-rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
M43Model = (imag((conj(rss).*(rpp)+rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));
M44Model = (real((conj(rss).*(rpp)-rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)))));


fR_ss = zeros(length(omega),1);

    if get(Hand.editReEpsCh,'Value') == 1
       fR_ss = abs(R_ss(:,1) - Eps1Model); 
    end
    
    if get(Hand.editImEpsCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,2) - Eps2Model); 
    end
    
   if get(Hand.editPsiCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,3) - PsiModel); 
   end
   
    if get(Hand.editDeltaCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,4) - DeltaModel); 
    end
   
     if get(Hand.editRppCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,5) - RppModel); 
     end
   
     if get(Hand.editRpsCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,6) - RpsModel); 
     end
     
     if get(Hand.editRspCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,7) - RspModel); 
     end
     
     if get(Hand.editRssCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,8) - RssModel); 
     end
     
    if get(Hand.editTppCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,9) - TppModel); 
     end
   
     if get(Hand.editTpsCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,10) - TpsModel); 
     end
     
     if get(Hand.editTspCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,11) - TspModel); 
     end
     
     if get(Hand.editTssCh,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,12) - TssModel); 
     end
     
     if get(Hand.editM11Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,13) - M11Model); 
     end
     
     if get(Hand.editM12Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,14) - M12Model); 
     end
     
     if get(Hand.editM13Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,15) - M13Model); 
     end
     
     if get(Hand.editM14Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,16) - M14Model); 
     end
     
     if get(Hand.editM21Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,17) - M21Model); 
     end
     
     if get(Hand.editM22Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,18) - M22Model); 
     end
     
     if get(Hand.editM23Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,19) - M23Model); 
     end
     
     if get(Hand.editM24Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,20) - M24Model);
     end
     
     if get(Hand.editM31Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,21) - M31Model); 
     end
     
     if get(Hand.editM32Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,22) - M32Model); 
     end
     
     if get(Hand.editM33Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,23) - M33Model); 
     end
     
     if get(Hand.editM34Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,24) - M34Model); 
     end
     
     if get(Hand.editM41Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,25) - M41Model); 
     end
     
     if get(Hand.editM42Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,26) - M42Model); 
     end
     
     if get(Hand.editM43Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,27) - M43Model); 
     end
     
     if get(Hand.editM44Ch,'Value') == 1
       fR_ss = fR_ss + abs(R_ss(:,28) - M44Model); 
     end
     
 f=fR_ss;

%Display Data
%-------------------------------------------------------------------------- 
 if Par.AxesCounter == 1
cla(panelStruct.hAxisEps1);
cla(panelStruct.hAxisEps2);
plot(panelStruct.hAxisEps1,Par.Eps1DataOmega,Par.Eps1DataIntensity,'Color','blue');
% plot(panelStruct.hAxisEps1,Par.OmegaArray,Par.Eps1Model,'Color','red');
plot(panelStruct.hAxisEps1,omega,Eps1Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisEps2,Par.Eps2DataOmega,Par.Eps2DataIntensity,'Color','blue');
% plot(panelStruct.hAxisEps2,Par.OmegaArray,Par.Eps2Model,'Color','red');
plot(panelStruct.hAxisEps2,omega,Eps2Model,'Color','red','LineWidth',1);
end

if Par.AxesCounter == 2
cla(panelStruct.hAxisPD1);
cla(panelStruct.hAxisPD2);
plot(panelStruct.hAxisPD1,Par.PsiDataOmega,Par.PsiDataIntensity,'Color','blue');
% plot(panelStruct.hAxisPD1,Par.OmegaArray,Par.PsiModel,'Color','red');
plot(panelStruct.hAxisPD1,omega,PsiModel,'Color','red','LineWidth',1);
plot(panelStruct.hAxisPD2,Par.DeltaDataOmega,Par.DeltaDataIntensity,'Color','blue');
% plot(panelStruct.hAxisPD2,Par.OmegaArray,Par.DeltaModel,'Color','red');
plot(panelStruct.hAxisPD2,omega,DeltaModel,'Color','red','LineWidth',1);
end

if Par.AxesCounter == 3
cla(panelStruct.hAxisRpp);cla(panelStruct.hAxisRps);cla(panelStruct.hAxisRsp);cla(panelStruct.hAxisRss);
plot(panelStruct.hAxisRpp,Par.RppDataOmega,Par.RppDataIntensity,'Color','blue');
% plot(panelStruct.hAxisRpp,Par.OmegaArray,Par.RppModel,'Color','red');
plot(panelStruct.hAxisRpp,omega,RppModel,'Color','red','LineWidth',1);
plot(panelStruct.hAxisRps,Par.RpsDataOmega,Par.RpsDataIntensity,'Color','blue');
% plot(panelStruct.hAxisRps,Par.OmegaArray,Par.RpsModel,'Color','red');
plot(panelStruct.hAxisRps,omega,RpsModel,'Color','red','LineWidth',1);
plot(panelStruct.hAxisRsp,Par.RspDataOmega,Par.RspDataIntensity,'Color','blue');
% plot(panelStruct.hAxisRsp,Par.OmegaArray,Par.RspModel,'Color','red');
plot(panelStruct.hAxisRsp,omega,RspModel,'Color','red','LineWidth',1);
plot(panelStruct.hAxisRss,Par.RppDataOmega,Par.RssDataIntensity,'Color','blue');
% plot(panelStruct.hAxisRss,Par.OmegaArray,Par.RssModel,'Color','red');
plot(panelStruct.hAxisRss,omega,RssModel,'Color','red','LineWidth',1);
end


if Par.AxesCounter == 4
cla(panelStruct.hAxisTpp);cla(panelStruct.hAxisTps);cla(panelStruct.hAxisTsp);cla(panelStruct.hAxisTss);
plot(panelStruct.hAxisTpp,Par.TppDataOmega,Par.TspDataIntensity,'Color','blue');
% plot(panelStruct.hAxisTpp,Par.OmegaArray,Par.TspModel,'Color','red');
plot(panelStruct.hAxisTpp,omega,TppModel,'Color','red','LineWidth',1);
plot(panelStruct.hAxisTps,Par.TpsDataOmega,Par.TssDataIntensity,'Color','blue');
% plot(panelStruct.hAxisTps,Par.OmegaArray,Par.TssModel,'Color','red');
plot(panelStruct.hAxisTps,omega,TpsModel,'Color','red','LineWidth',1);
plot(panelStruct.hAxisTsp,Par.TspDataOmega,Par.TppDataIntensity,'Color','blue');
% plot(panelStruct.hAxisTsp,Par.OmegaArray,Par.TppModel,'Color','red');
plot(panelStruct.hAxisTsp,omega,TspModel,'Color','red','LineWidth',1);
plot(panelStruct.hAxisTss,Par.TssDataOmega,Par.TpsDataIntensity,'Color','blue');
% plot(panelStruct.hAxisTss,Par.OmegaArray,Par.TpsModel,'Color','red');
plot(panelStruct.hAxisTss,omega,TssModel,'Color','red','LineWidth',1);
end

if Par.AxesCounter == 5
cla(panelStruct.hAxisM11);cla(panelStruct.hAxisM12);cla(panelStruct.hAxisM13);cla(panelStruct.hAxisM14);
cla(panelStruct.hAxisM21);cla(panelStruct.hAxisM22);cla(panelStruct.hAxisM23);cla(panelStruct.hAxisM24);
cla(panelStruct.hAxisM31);cla(panelStruct.hAxisM32);cla(panelStruct.hAxisM33);cla(panelStruct.hAxisM34);
cla(panelStruct.hAxisM41);cla(panelStruct.hAxisM42);cla(panelStruct.hAxisM43);cla(panelStruct.hAxisM44);
plot(panelStruct.hAxisM11,Par.MMDataOmega,Par.MMDataIntensity(:,1),'Color','blue');
% plot(panelStruct.hAxisM11,Par.OmegaArray,Par.M11Model,'Color','red');
plot(panelStruct.hAxisM11,omega,M11Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM12,Par.MMDataOmega,Par.MMDataIntensity(:,2),'Color','blue');
% plot(panelStruct.hAxisM12,Par.OmegaArray,Par.M12Model,'Color','red');
plot(panelStruct.hAxisM12,omega,M12Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM13,Par.MMDataOmega,Par.MMDataIntensity(:,3),'Color','blue');
% plot(panelStruct.hAxisM13,Par.OmegaArray,Par.M13Model,'Color','red');
plot(panelStruct.hAxisM13,omega,M13Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM14,Par.MMDataOmega,Par.MMDataIntensity(:,4),'Color','blue');
% plot(panelStruct.hAxisM14,Par.OmegaArray,Par.M14Model,'Color','red');
plot(panelStruct.hAxisM14,omega,M14Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM21,Par.MMDataOmega,Par.MMDataIntensity(:,5),'Color','blue');
% plot(panelStruct.hAxisM21,Par.OmegaArray,Par.M21Model,'Color','red');
plot(panelStruct.hAxisM21,omega,M21Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM22,Par.MMDataOmega,Par.MMDataIntensity(:,6),'Color','blue');
% plot(panelStruct.hAxisM22,Par.OmegaArray,Par.M22Model,'Color','red');
plot(panelStruct.hAxisM22,omega,M22Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM23,Par.MMDataOmega,Par.MMDataIntensity(:,7),'Color','blue');
% plot(panelStruct.hAxisM23,Par.OmegaArray,Par.M23Model,'Color','red');
plot(panelStruct.hAxisM23,omega,M23Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM24,Par.MMDataOmega,Par.MMDataIntensity(:,8),'Color','blue');
% plot(panelStruct.hAxisM24,Par.OmegaArray,Par.M24Model,'Color','red');
plot(panelStruct.hAxisM24,omega,M24Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM31,Par.MMDataOmega,Par.MMDataIntensity(:,9),'Color','blue');
% plot(panelStruct.hAxisM31,Par.OmegaArray,Par.M31Model,'Color','red');
plot(panelStruct.hAxisM31,omega,M31Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM32,Par.MMDataOmega,Par.MMDataIntensity(:,10),'Color','blue');
% plot(panelStruct.hAxisM32,Par.OmegaArray,Par.M32Model,'Color','red');
plot(panelStruct.hAxisM32,omega,M32Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM33,Par.MMDataOmega,Par.MMDataIntensity(:,11),'Color','blue');
% plot(panelStruct.hAxisM33,Par.OmegaArray,Par.M33Model,'Color','red');
plot(panelStruct.hAxisM33,omega,M33Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM34,Par.MMDataOmega,Par.MMDataIntensity(:,12),'Color','blue');
% plot(panelStruct.hAxisM34,Par.OmegaArray,Par.M34Model,'Color','red');
plot(panelStruct.hAxisM34,omega,M34Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM41,Par.MMDataOmega,Par.MMDataIntensity(:,13),'Color','blue');
% plot(panelStruct.hAxisM41,Par.OmegaArray,Par.M41Model,'Color','red');
plot(panelStruct.hAxisM41,omega,M41Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM42,Par.MMDataOmega,Par.MMDataIntensity(:,14),'Color','blue');
% plot(panelStruct.hAxisM42,Par.OmegaArray,Par.M42Model,'Color','red');
plot(panelStruct.hAxisM42,omega,M42Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM43,Par.MMDataOmega,Par.MMDataIntensity(:,15),'Color','blue');
% plot(panelStruct.hAxisM43,Par.OmegaArray,Par.M43Model,'Color','red');
plot(panelStruct.hAxisM43,omega,M43Model,'Color','red','LineWidth',1);
plot(panelStruct.hAxisM44,Par.MMDataOmega,Par.MMDataIntensity(:,16),'Color','blue');
% plot(panelStruct.hAxisM44,Par.OmegaArray,Par.M44Model,'Color','red');
plot(panelStruct.hAxisM44,omega,M44Model,'Color','red','LineWidth',1);
end

if Par.AxesCounter == 6
cla(panelStruct.hAxisMEps1xx);cla(panelStruct.hAxisMEps2xx);
cla(panelStruct.hAxisMEps1yy);cla(panelStruct.hAxisMEps2yy);
cla(panelStruct.hAxisMEps1zz);cla(panelStruct.hAxisMEps2zz); 
plot(panelStruct.hAxisMEps1xx,Par.OmegaArray,real(EPSxx),'Color','red');
plot(panelStruct.hAxisMEps2xx,Par.OmegaArray,imag(EPSxx),'Color','red');
plot(panelStruct.hAxisMEps1yy,Par.OmegaArray,real(EPSyy),'Color','red');
plot(panelStruct.hAxisMEps2yy,Par.OmegaArray,imag(EPSyy),'Color','red');
plot(panelStruct.hAxisMEps1zz,Par.OmegaArray,real(EPSzz),'Color','red');
plot(panelStruct.hAxisMEps2zz,Par.OmegaArray,imag(EPSzz),'Color','red');
end

if Par.AxesCounter == 7
cla(panelStruct.hAxisMMu1xx);cla(panelStruct.hAxisMMu2xx);
cla(panelStruct.hAxisMMu1yy);cla(panelStruct.hAxisMMu2yy);
cla(panelStruct.hAxisMMu1zz);cla(panelStruct.hAxisMMu2zz); 
plot(panelStruct.hAxisMMu1xx,Par.OmegaArray,real(MUxx),'Color','red');
plot(panelStruct.hAxisMMu2xx,Par.OmegaArray,imag(MUxx),'Color','red');
plot(panelStruct.hAxisMMu1yy,Par.OmegaArray,real(MUyy),'Color','red');
plot(panelStruct.hAxisMMu2yy,Par.OmegaArray,imag(MUyy),'Color','red');
plot(panelStruct.hAxisMMu1zz,Par.OmegaArray,real(MUzz),'Color','red');
plot(panelStruct.hAxisMMu2zz,Par.OmegaArray,imag(MUzz),'Color','red');
end

if Par.AxesCounter == 8
cla(panelStruct.hAxisMAlpxx);cla(panelStruct.hAxisMAlpxy); cla(panelStruct.hAxisMAlpxz);
cla(panelStruct.hAxisMAlpyx);cla(panelStruct.hAxisMAlpyy); cla(panelStruct.hAxisMAlpyz);
cla(panelStruct.hAxisMAlpzx);cla(panelStruct.hAxisMAlpzy); cla(panelStruct.hAxisMAlpzz);
plot(panelStruct.hAxisMAlpxx,Par.OmegaArray,real(ALP),'Color','red');
plot(panelStruct.hAxisMAlpxy,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpxz,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpyx,Par.OmegaArray,real(ALP),'Color','red');
plot(panelStruct.hAxisMAlpyy,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpyz,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzx,Par.OmegaArray,real(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzy,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzz,Par.OmegaArray,imag(ALP),'Color','red');
end