function [f mx ndata nmueller cf ]=funcs_R_ss_v4(fun,x,omega,R_ss,cf,frequency,amplitude)
% This function is the user supplied function referred to in Numerical
% Methods Chapter 15.5. The program accepts a given functional in the form
% of f=y_i - y_model where y_i is experimentally determined or otherwise
% the data set which we need the parameters fitted to. The program
% calculates dfdx which is the Jacobian of f; The program also calculates
% dydx which is a required input into other sections of the Numerical
% Recipes formulas for the Levenberg Marquardt algorithms. 
%global sizemuosc sizeelosc;% for fit_thin_film_R_ss_n0_coherence

% amended 12-2-10 to reflect new naming for alignment with check_bounds_v4
%% This section is for initialization
[f ]=feval(fun,x,omega,R_ss,frequency,amplitude);
mx=length(x);[ndata nmueller]=size(f);
cf=cf+1;

