function [ dx]=gaussjmatlabv2(alpha,dx,alamda)
% This function is used instead of gaussj to calculate the Normal
% Equations. Input variables are:
%   alpha - the approximated Hessian matrix returned from mrqcof
%   dx - the current value of beta == -2*f*Jacobian of f
%   alamda - the current value of alamda returned in mrqmin


% Factorize with check of pos. def.
n = size(alpha,1);  chp = 1;
kp = 1;
while  chp
  [R chp] = chol(alpha + alamda*eye(n));
  if  chp == 0  % check for near singularity
    chp = rcond(R) < 1e-15;
  end
  if  chp ,  alamda = 10*alamda; 
 display('Corrected badly conditioned matrix');
 kp = kp+1;
 if kp > 100, break,end
%stop
  end
 
end
% Solve  (R'*R)h = dx
h = R \ (R' \ (dx')); 
dx=h';