function [alpha beta chisq1 cf ]=mrqcof_R_ss_v4(fun,sig,ndata,x,ix,mx,opts,omega,R_ss, cf,frequency,amplitude)
% this program follows the 'mrqcof' fortran program in Numerical Methods
% Chapter 15.5. It has been amended to use Array architecture from Matlab instead of 'do loops'.
%  It is used by 'mrqmin' to evaluate the linearized fitting
% matrix alpha, the vector beta and to calculate chisq. 
% Input data is:
%   fun - the function handle of the objective function f
%   sig - the set of standard deviations for each of the data sets
%   ndata - the number of experimental points to be fitted
%   x - the current parameter vector 
%   ix - the vector of parameters to be fitted==0; not fitted==0
%   mx - the total number of paramters
%   opts - initial options primarily for stopping criteria

% amended 12-2-10 to reflect new naming convenction for check_bounds_v4
%% Initialization
mfit=sum(ix>0);

alpha=zeros(mfit,mfit);
beta=zeros(1,mfit);
    chisq=0;
    
%% Calculations
    [f mx ndata nmueller cf ]=funcs_R_ss_v4(fun,x,omega,R_ss,cf,frequency,amplitude);
   
    [dydx_fitonly cf]=jacobian_R_ss_v4(fun,f,x,mx,ix,mfit,opts,omega,R_ss,cf,frequency,amplitude);
   
   sig2=1/(sig*sig);
    size(dydx_fitonly);
       sig2=1/(sig*sig');
        for p=1:nmueller ;
        dydx=dydx_fitonly(:,p:nmueller:nmueller*(mfit-1)+p).*sig2;
        alpha=alpha+dydx'*dydx;
        beta=beta+f(:,p)'*dydx;
        chisq=chisq+f(:,p)'*f(:,p).*sig2;
        end
% chisq1=chisq/(length(omega)-mx-1);
chisq1=chisq;
%Note that this program is still misssing the std deviation input into the
%Alpha calculation
    