function [covar ]=covsrtv2(covar,npc,mx,ix,mfit)
% This function follows the 'covsrt' fortran code in Numerical Methods
% Chapter 15.4. The program basically spreads out a smaller mfit;mfit dimension matrix
% obtained because not all parameters were fitted. It spreads out the matrix to the
% original mx;mx dimensions. 

for i=(mfit+1):mx
    for j=1:i
        covar(i,j)=0;
        covar(j,i)=0;
    end
end
k=mfit;

for j=mx:-1:1
    if ix(j) ~= 0
        for i=1:mx
            swap=covar(i,k);
            covar(i,k)=covar(i,j);
            covar(i,j)=swap;
        end
        for i=1:mx
            swap=covar(k,i);
            covar(k,i)=covar(j,i);
            covar(j,i)=swap;
        end
        k=k-1;
    end
end
        
    