function   [dydx_fitonly cf]=jacobian_R_ss_v4(fun,f,x,mx,ix,mfit,opts,omega,R_ss,cf,frequency,amplitude)
% This program calculates the Jacobian of the objective function f. If f is
% of the form f=[f1 f2 f3 ....fN], the procedure is to calculate df/dx1
% then df/dx2 and so on by the method of finite differences. Calculations
% are only done for those variables to be fitted. This will produce a
% matrix of size [nata,mfit*nmueller] where nmueller==the number of
% elements in f.

% amended 12-2-10 to reflect new naming convention for versions aligned
% with check_bounds_v4

%% This section starts the iterations

[ndata nmueller]=size(f);
dydx = zeros(ndata,mfit*nmueller);
dfdx =zeros(ndata,mfit*nmueller);
xx = x;
d=opts(5);
i=1;
for  j = 1 : mx
    if ix(j)~= 0
  if  x(j) == 0,  xp = d^2;
  else,           xp = x(j) + d*abs(x(j)); end
  xx(j) = xp;  fp = feval(fun,xx,omega,R_ss,frequency,amplitude);
    dfdx(:,1+(i-1)*nmueller:i*nmueller) =(fp - f)/(xp - x(j));
  xx(j) = x(j);
  i=i+1;
  cf=cf+1;
    end
    
end
% Check dydx
if  ~isreal(dydx) | any(isnan(dydx(:))) | any(isinf(dydx(:)))
  err = -6;  
else  err = 0;  end

dydx_fitonly=-dfdx;% note dydx is d(y_model)dx which is the negative of dfdx
